/*
This extract was created by Jean Roth, at the National Bureau of Economic Research. 
Please report errors in the extract program to jroth@nber.org
Copyright 2003 shared by Jean Roth and the National Bureau of Economic Research.

*/

clear


local dat_name "F:\Data\SIPP\Data\sipp92fp.dat"

/* The following line should contain the path to your output '.dta' file */
local dta_name "F:\Data\SIPP\Extracts\sipp92lfp2.dta"

/* The following line should contain the path to the data dictionary file */
local dct_name "F:\Data\SIPP\Data\sip92fp2.dct"


quietly infile using "`dct_name'", using("`dat_name'") clear


*Everything below this point are value labels


#delimit ;

;
label values mthwop01 mthwop; 
label values mthwop02 mthwop; 
label values mthwop03 mthwop; 
label values mthwop04 mthwop; 
label values mthwop05 mthwop; 
label values mthwop06 mthwop; 
label values mthwop07 mthwop; 
label values mthwop08 mthwop; 
label values mthwop09 mthwop; 
label values mthwop10 mthwop; 
label values mthwop11 mthwop; 
label values mthwop12 mthwop; 
label values mthwop13 mthwop; 
label values mthwop14 mthwop; 
label values mthwop15 mthwop; 
label values mthwop16 mthwop; 
label values mthwop17 mthwop; 
label values mthwop18 mthwop; 
label values mthwop19 mthwop; 
label values mthwop20 mthwop; 
label values mthwop21 mthwop; 
label values mthwop22 mthwop; 
label values mthwop23 mthwop; 
label values mthwop24 mthwop; 
label values mthwop25 mthwop; 
label values mthwop26 mthwop; 
label values mthwop27 mthwop; 
label values mthwop28 mthwop; 
label values mthwop29 mthwop; 
label values mthwop30 mthwop; 
label values mthwop31 mthwop; 
label values mthwop32 mthwop; 
label values mthwop33 mthwop; 
label values mthwop34 mthwop; 
label values mthwop35 mthwop; 
label values mthwop36 mthwop; 
label values mthwop37 mthwop; 
label values mthwop38 mthwop; 
label values mthwop39 mthwop; 
label values mthwop40 mthwop; 
label define mthwop  
	0           "0 weeks or not applicable, not"
	1           "1 week"                        
	2           "2 weeks"                       
	3           "3 weeks"                       
	4           "4 weeks"                       
	5           "5 weeks (only applicable for"  
;
label values mthwks01 mthwks; 
label values mthwks02 mthwks; 
label values mthwks03 mthwks; 
label values mthwks04 mthwks; 
label values mthwks05 mthwks; 
label values mthwks06 mthwks; 
label values mthwks07 mthwks; 
label values mthwks08 mthwks; 
label values mthwks09 mthwks; 
label values mthwks10 mthwks; 
label values mthwks11 mthwks; 
label values mthwks12 mthwks; 
label values mthwks13 mthwks; 
label values mthwks14 mthwks; 
label values mthwks15 mthwks; 
label values mthwks16 mthwks; 
label values mthwks17 mthwks; 
label values mthwks18 mthwks; 
label values mthwks19 mthwks; 
label values mthwks20 mthwks; 
label values mthwks21 mthwks; 
label values mthwks22 mthwks; 
label values mthwks23 mthwks; 
label values mthwks24 mthwks; 
label values mthwks25 mthwks; 
label values mthwks26 mthwks; 
label values mthwks27 mthwks; 
label values mthwks28 mthwks; 
label values mthwks29 mthwks; 
label values mthwks30 mthwks; 
label values mthwks31 mthwks; 
label values mthwks32 mthwks; 
label values mthwks33 mthwks; 
label values mthwks34 mthwks; 
label values mthwks35 mthwks; 
label values mthwks36 mthwks; 
label values mthwks37 mthwks; 
label values mthwks38 mthwks; 
label values mthwks39 mthwks; 
label values mthwks40 mthwks; 
label define mthwks  
	0           "None or not applicable, not in"
	1           "1 week"                        
	2           "2 weeks"                       
	3           "3 weeks"                       
	4           "4 weeks"                       
	5           "5 weeks (only applicable for"  
;
label values usualh01 usualh; 
label values usualh02 usualh; 
label values usualh03 usualh; 
label values usualh04 usualh; 
label values usualh05 usualh; 
label values usualh06 usualh; 
label values usualh07 usualh; 
label values usualh08 usualh; 
label values usualh09 usualh; 
label values usualh10 usualh; 
label define usualh  
	0           "Not in universe"               
	-3          "None"                          
;
label values jobid101 jobid1l;
label values jobid102 jobid1l;
label values jobid103 jobid1l;
label values jobid104 jobid1l;
label values jobid105 jobid1l;
label values jobid106 jobid1l;
label values jobid107 jobid1l;
label values jobid108 jobid1l;
label values jobid109 jobid1l;
label values jobid110 jobid1l;
label values jobid111 jobid1l;
label values jobid112 jobid1l;
label values jobid113 jobid1l;
label values jobid114 jobid1l;
label values jobid115 jobid1l;
label values jobid116 jobid1l;
label values jobid117 jobid1l;
label values jobid118 jobid1l;
label values jobid119 jobid1l;
label values jobid120 jobid1l;
label values jobid121 jobid1l;
label values jobid122 jobid1l;
label values jobid123 jobid1l;
label values jobid124 jobid1l;
label values jobid125 jobid1l;
label values jobid126 jobid1l;
label values jobid127 jobid1l;
label values jobid128 jobid1l;
label values jobid129 jobid1l;
label values jobid130 jobid1l;
label values jobid131 jobid1l;
label values jobid132 jobid1l;
label values jobid133 jobid1l;
label values jobid134 jobid1l;
label values jobid135 jobid1l;
label values jobid136 jobid1l;
label values jobid137 jobid1l;
label values jobid138 jobid1l;
label values jobid139 jobid1l;
label values jobid140 jobid1l;
label define jobid1l 
	0           "Not in universe, not in"       
;
label values jobid201 jobid2l;
label values jobid202 jobid2l;
label values jobid203 jobid2l;
label values jobid204 jobid2l;
label values jobid205 jobid2l;
label values jobid206 jobid2l;
label values jobid207 jobid2l;
label values jobid208 jobid2l;
label values jobid209 jobid2l;
label values jobid210 jobid2l;
label values jobid211 jobid2l;
label values jobid212 jobid2l;
label values jobid213 jobid2l;
label values jobid214 jobid2l;
label values jobid215 jobid2l;
label values jobid216 jobid2l;
label values jobid217 jobid2l;
label values jobid218 jobid2l;
label values jobid219 jobid2l;
label values jobid220 jobid2l;
label values jobid221 jobid2l;
label values jobid222 jobid2l;
label values jobid223 jobid2l;
label values jobid224 jobid2l;
label values jobid225 jobid2l;
label values jobid226 jobid2l;
label values jobid227 jobid2l;
label values jobid228 jobid2l;
label values jobid229 jobid2l;
label values jobid230 jobid2l;
label values jobid231 jobid2l;
label values jobid232 jobid2l;
label values jobid233 jobid2l;
label values jobid234 jobid2l;
label values jobid235 jobid2l;
label values jobid236 jobid2l;
label values jobid237 jobid2l;
label values jobid238 jobid2l;
label values jobid239 jobid2l;
label values jobid240 jobid2l;
label define jobid2l 
	0           "Not in universe, not in"       
;
label values wksem101 wksem1l;
label values wksem102 wksem1l;
label values wksem103 wksem1l;
label values wksem104 wksem1l;
label values wksem105 wksem1l;
label values wksem106 wksem1l;
label values wksem107 wksem1l;
label values wksem108 wksem1l;
label values wksem109 wksem1l;
label values wksem110 wksem1l;
label values wksem111 wksem1l;
label values wksem112 wksem1l;
label values wksem113 wksem1l;
label values wksem114 wksem1l;
label values wksem115 wksem1l;
label values wksem116 wksem1l;
label values wksem117 wksem1l;
label values wksem118 wksem1l;
label values wksem119 wksem1l;
label values wksem120 wksem1l;
label values wksem121 wksem1l;
label values wksem122 wksem1l;
label values wksem123 wksem1l;
label values wksem124 wksem1l;
label values wksem125 wksem1l;
label values wksem126 wksem1l;
label values wksem127 wksem1l;
label values wksem128 wksem1l;
label values wksem129 wksem1l;
label values wksem130 wksem1l;
label values wksem131 wksem1l;
label values wksem132 wksem1l;
label values wksem133 wksem1l;
label values wksem134 wksem1l;
label values wksem135 wksem1l;
label values wksem136 wksem1l;
label values wksem137 wksem1l;
label values wksem138 wksem1l;
label values wksem139 wksem1l;
label values wksem140 wksem1l;
label define wksem1l 
	0           "None or not in universe if"    
	1           "1 week etc"                    
;
label values wksem201 wksem2l;
label values wksem202 wksem2l;
label values wksem203 wksem2l;
label values wksem204 wksem2l;
label values wksem205 wksem2l;
label values wksem206 wksem2l;
label values wksem207 wksem2l;
label values wksem208 wksem2l;
label values wksem209 wksem2l;
label values wksem210 wksem2l;
label values wksem211 wksem2l;
label values wksem212 wksem2l;
label values wksem213 wksem2l;
label values wksem214 wksem2l;
label values wksem215 wksem2l;
label values wksem216 wksem2l;
label values wksem217 wksem2l;
label values wksem218 wksem2l;
label values wksem219 wksem2l;
label values wksem220 wksem2l;
label values wksem221 wksem2l;
label values wksem222 wksem2l;
label values wksem223 wksem2l;
label values wksem224 wksem2l;
label values wksem225 wksem2l;
label values wksem226 wksem2l;
label values wksem227 wksem2l;
label values wksem228 wksem2l;
label values wksem229 wksem2l;
label values wksem230 wksem2l;
label values wksem231 wksem2l;
label values wksem232 wksem2l;
label values wksem233 wksem2l;
label values wksem234 wksem2l;
label values wksem235 wksem2l;
label values wksem236 wksem2l;
label values wksem237 wksem2l;
label values wksem238 wksem2l;
label values wksem239 wksem2l;
label values wksem240 wksem2l;
label define wksem2l 
	0           "None or not in universe if"    
	1           "1 week etc"                    
;
label values wshrs101 wshrs1l;
label values wshrs102 wshrs1l;
label values wshrs103 wshrs1l;
label values wshrs104 wshrs1l;
label values wshrs105 wshrs1l;
label values wshrs106 wshrs1l;
label values wshrs107 wshrs1l;
label values wshrs108 wshrs1l;
label values wshrs109 wshrs1l;
label values wshrs110 wshrs1l;
label values wshrs111 wshrs1l;
label values wshrs112 wshrs1l;
label values wshrs113 wshrs1l;
label values wshrs114 wshrs1l;
label values wshrs115 wshrs1l;
label values wshrs116 wshrs1l;
label values wshrs117 wshrs1l;
label values wshrs118 wshrs1l;
label values wshrs119 wshrs1l;
label values wshrs120 wshrs1l;
label values wshrs121 wshrs1l;
label values wshrs122 wshrs1l;
label values wshrs123 wshrs1l;
label values wshrs124 wshrs1l;
label values wshrs125 wshrs1l;
label values wshrs126 wshrs1l;
label values wshrs127 wshrs1l;
label values wshrs128 wshrs1l;
label values wshrs129 wshrs1l;
label values wshrs130 wshrs1l;
label values wshrs131 wshrs1l;
label values wshrs132 wshrs1l;
label values wshrs133 wshrs1l;
label values wshrs134 wshrs1l;
label values wshrs135 wshrs1l;
label values wshrs136 wshrs1l;
label values wshrs137 wshrs1l;
label values wshrs138 wshrs1l;
label values wshrs139 wshrs1l;
label values wshrs140 wshrs1l;
label define wshrs1l 
	0           "Not in universe, not in"       
	-3          "None"                          
;
label values wshrs201 wshrs2l;
label values wshrs202 wshrs2l;
label values wshrs203 wshrs2l;
label values wshrs204 wshrs2l;
label values wshrs205 wshrs2l;
label values wshrs206 wshrs2l;
label values wshrs207 wshrs2l;
label values wshrs208 wshrs2l;
label values wshrs209 wshrs2l;
label values wshrs210 wshrs2l;
label values wshrs211 wshrs2l;
label values wshrs212 wshrs2l;
label values wshrs213 wshrs2l;
label values wshrs214 wshrs2l;
label values wshrs215 wshrs2l;
label values wshrs216 wshrs2l;
label values wshrs217 wshrs2l;
label values wshrs218 wshrs2l;
label values wshrs219 wshrs2l;
label values wshrs220 wshrs2l;
label values wshrs221 wshrs2l;
label values wshrs222 wshrs2l;
label values wshrs223 wshrs2l;
label values wshrs224 wshrs2l;
label values wshrs225 wshrs2l;
label values wshrs226 wshrs2l;
label values wshrs227 wshrs2l;
label values wshrs228 wshrs2l;
label values wshrs229 wshrs2l;
label values wshrs230 wshrs2l;
label values wshrs231 wshrs2l;
label values wshrs232 wshrs2l;
label values wshrs233 wshrs2l;
label values wshrs234 wshrs2l;
label values wshrs235 wshrs2l;
label values wshrs236 wshrs2l;
label values wshrs237 wshrs2l;
label values wshrs238 wshrs2l;
label values wshrs239 wshrs2l;
label values wshrs240 wshrs2l;
label define wshrs2l 
	0           "Not in universe, not in"       
	-3          "None"                          
;
label values hrrat101 hrrat1l;
label values hrrat102 hrrat1l;
label values hrrat103 hrrat1l;
label values hrrat104 hrrat1l;
label values hrrat105 hrrat1l;
label values hrrat106 hrrat1l;
label values hrrat107 hrrat1l;
label values hrrat108 hrrat1l;
label values hrrat109 hrrat1l;
label values hrrat110 hrrat1l;
label values hrrat111 hrrat1l;
label values hrrat112 hrrat1l;
label values hrrat113 hrrat1l;
label values hrrat114 hrrat1l;
label values hrrat115 hrrat1l;
label values hrrat116 hrrat1l;
label values hrrat117 hrrat1l;
label values hrrat118 hrrat1l;
label values hrrat119 hrrat1l;
label values hrrat120 hrrat1l;
label values hrrat121 hrrat1l;
label values hrrat122 hrrat1l;
label values hrrat123 hrrat1l;
label values hrrat124 hrrat1l;
label values hrrat125 hrrat1l;
label values hrrat126 hrrat1l;
label values hrrat127 hrrat1l;
label values hrrat128 hrrat1l;
label values hrrat129 hrrat1l;
label values hrrat130 hrrat1l;
label values hrrat131 hrrat1l;
label values hrrat132 hrrat1l;
label values hrrat133 hrrat1l;
label values hrrat134 hrrat1l;
label values hrrat135 hrrat1l;
label values hrrat136 hrrat1l;
label values hrrat137 hrrat1l;
label values hrrat138 hrrat1l;
label values hrrat139 hrrat1l;
label values hrrat140 hrrat1l;
label define hrrat1l 
	0           "Not in universe, not in"       
;
label values hrrat201 hrrat2l;
label values hrrat202 hrrat2l;
label values hrrat203 hrrat2l;
label values hrrat204 hrrat2l;
label values hrrat205 hrrat2l;
label values hrrat206 hrrat2l;
label values hrrat207 hrrat2l;
label values hrrat208 hrrat2l;
label values hrrat209 hrrat2l;
label values hrrat210 hrrat2l;
label values hrrat211 hrrat2l;
label values hrrat212 hrrat2l;
label values hrrat213 hrrat2l;
label values hrrat214 hrrat2l;
label values hrrat215 hrrat2l;
label values hrrat216 hrrat2l;
label values hrrat217 hrrat2l;
label values hrrat218 hrrat2l;
label values hrrat219 hrrat2l;
label values hrrat220 hrrat2l;
label values hrrat221 hrrat2l;
label values hrrat222 hrrat2l;
label values hrrat223 hrrat2l;
label values hrrat224 hrrat2l;
label values hrrat225 hrrat2l;
label values hrrat226 hrrat2l;
label values hrrat227 hrrat2l;
label values hrrat228 hrrat2l;
label values hrrat229 hrrat2l;
label values hrrat230 hrrat2l;
label values hrrat231 hrrat2l;
label values hrrat232 hrrat2l;
label values hrrat233 hrrat2l;
label values hrrat234 hrrat2l;
label values hrrat235 hrrat2l;
label values hrrat236 hrrat2l;
label values hrrat237 hrrat2l;
label values hrrat238 hrrat2l;
label values hrrat239 hrrat2l;
label values hrrat240 hrrat2l;
label define hrrat2l 
	0           "Not in universe, not in"       
;
label values busid101 busid1l;
label values busid102 busid1l;
label values busid103 busid1l;
label values busid104 busid1l;
label values busid105 busid1l;
label values busid106 busid1l;
label values busid107 busid1l;
label values busid108 busid1l;
label values busid109 busid1l;
label values busid110 busid1l;
label values busid111 busid1l;
label values busid112 busid1l;
label values busid113 busid1l;
label values busid114 busid1l;
label values busid115 busid1l;
label values busid116 busid1l;
label values busid117 busid1l;
label values busid118 busid1l;
label values busid119 busid1l;
label values busid120 busid1l;
label values busid121 busid1l;
label values busid122 busid1l;
label values busid123 busid1l;
label values busid124 busid1l;
label values busid125 busid1l;
label values busid126 busid1l;
label values busid127 busid1l;
label values busid128 busid1l;
label values busid129 busid1l;
label values busid130 busid1l;
label values busid131 busid1l;
label values busid132 busid1l;
label values busid133 busid1l;
label values busid134 busid1l;
label values busid135 busid1l;
label values busid136 busid1l;
label values busid137 busid1l;
label values busid138 busid1l;
label values busid139 busid1l;
label values busid140 busid1l;
label define busid1l 
	0           "Not in universe, not in"       
;
label values busid201 busid2l;
label values busid202 busid2l;
label values busid203 busid2l;
label values busid204 busid2l;
label values busid205 busid2l;
label values busid206 busid2l;
label values busid207 busid2l;
label values busid208 busid2l;
label values busid209 busid2l;
label values busid210 busid2l;
label values busid211 busid2l;
label values busid212 busid2l;
label values busid213 busid2l;
label values busid214 busid2l;
label values busid215 busid2l;
label values busid216 busid2l;
label values busid217 busid2l;
label values busid218 busid2l;
label values busid219 busid2l;
label values busid220 busid2l;
label values busid221 busid2l;
label values busid222 busid2l;
label values busid223 busid2l;
label values busid224 busid2l;
label values busid225 busid2l;
label values busid226 busid2l;
label values busid227 busid2l;
label values busid228 busid2l;
label values busid229 busid2l;
label values busid230 busid2l;
label values busid231 busid2l;
label values busid232 busid2l;
label values busid233 busid2l;
label values busid234 busid2l;
label values busid235 busid2l;
label values busid236 busid2l;
label values busid237 busid2l;
label values busid238 busid2l;
label values busid239 busid2l;
label values busid240 busid2l;
label define busid2l 
	0           "Not in universe, not in"       
;
label values typbs101 typbs1l;
label values typbs102 typbs1l;
label values typbs103 typbs1l;
label values typbs104 typbs1l;
label values typbs105 typbs1l;
label values typbs106 typbs1l;
label values typbs107 typbs1l;
label values typbs108 typbs1l;
label values typbs109 typbs1l;
label values typbs110 typbs1l;
label values typbs111 typbs1l;
label values typbs112 typbs1l;
label values typbs113 typbs1l;
label values typbs114 typbs1l;
label values typbs115 typbs1l;
label values typbs116 typbs1l;
label values typbs117 typbs1l;
label values typbs118 typbs1l;
label values typbs119 typbs1l;
label values typbs120 typbs1l;
label values typbs121 typbs1l;
label values typbs122 typbs1l;
label values typbs123 typbs1l;
label values typbs124 typbs1l;
label values typbs125 typbs1l;
label values typbs126 typbs1l;
label values typbs127 typbs1l;
label values typbs128 typbs1l;
label values typbs129 typbs1l;
label values typbs130 typbs1l;
label values typbs131 typbs1l;
label values typbs132 typbs1l;
label values typbs133 typbs1l;
label values typbs134 typbs1l;
label values typbs135 typbs1l;
label values typbs136 typbs1l;
label values typbs137 typbs1l;
label values typbs138 typbs1l;
label values typbs139 typbs1l;
label values typbs140 typbs1l;
label define typbs1l 
	0           "Not in universe, not in"       
	1           "Sole proprietorship"           
	2           "Partnership"                   
	3           "Corporation"                   
;
label values typbs201 typbs2l;
label values typbs202 typbs2l;
label values typbs203 typbs2l;
label values typbs204 typbs2l;
label values typbs205 typbs2l;
label values typbs206 typbs2l;
label values typbs207 typbs2l;
label values typbs208 typbs2l;
label values typbs209 typbs2l;
label values typbs210 typbs2l;
label values typbs211 typbs2l;
label values typbs212 typbs2l;
label values typbs213 typbs2l;
label values typbs214 typbs2l;
label values typbs215 typbs2l;
label values typbs216 typbs2l;
label values typbs217 typbs2l;
label values typbs218 typbs2l;
label values typbs219 typbs2l;
label values typbs220 typbs2l;
label values typbs221 typbs2l;
label values typbs222 typbs2l;
label values typbs223 typbs2l;
label values typbs224 typbs2l;
label values typbs225 typbs2l;
label values typbs226 typbs2l;
label values typbs227 typbs2l;
label values typbs228 typbs2l;
label values typbs229 typbs2l;
label values typbs230 typbs2l;
label values typbs231 typbs2l;
label values typbs232 typbs2l;
label values typbs233 typbs2l;
label values typbs234 typbs2l;
label values typbs235 typbs2l;
label values typbs236 typbs2l;
label values typbs237 typbs2l;
label values typbs238 typbs2l;
label values typbs239 typbs2l;
label values typbs240 typbs2l;
label define typbs2l 
	0           "Not in universe, not in"       
	1           "Sole proprietorship"           
	2           "Partnership"                   
	3           "Corporation"                   
;
label values se_wb101 se_wb1l;
label values se_wb102 se_wb1l;
label values se_wb103 se_wb1l;
label values se_wb104 se_wb1l;
label values se_wb105 se_wb1l;
label values se_wb106 se_wb1l;
label values se_wb107 se_wb1l;
label values se_wb108 se_wb1l;
label values se_wb109 se_wb1l;
label values se_wb110 se_wb1l;
label values se_wb111 se_wb1l;
label values se_wb112 se_wb1l;
label values se_wb113 se_wb1l;
label values se_wb114 se_wb1l;
label values se_wb115 se_wb1l;
label values se_wb116 se_wb1l;
label values se_wb117 se_wb1l;
label values se_wb118 se_wb1l;
label values se_wb119 se_wb1l;
label values se_wb120 se_wb1l;
label values se_wb121 se_wb1l;
label values se_wb122 se_wb1l;
label values se_wb123 se_wb1l;
label values se_wb124 se_wb1l;
label values se_wb125 se_wb1l;
label values se_wb126 se_wb1l;
label values se_wb127 se_wb1l;
label values se_wb128 se_wb1l;
label values se_wb129 se_wb1l;
label values se_wb130 se_wb1l;
label values se_wb131 se_wb1l;
label values se_wb132 se_wb1l;
label values se_wb133 se_wb1l;
label values se_wb134 se_wb1l;
label values se_wb135 se_wb1l;
label values se_wb136 se_wb1l;
label values se_wb137 se_wb1l;
label values se_wb138 se_wb1l;
label values se_wb139 se_wb1l;
label values se_wb140 se_wb1l;
label define se_wb1l 
	0           "None, not in universe, not in" 
	1           "1 week etc"                    
;
label values se_wb201 se_wb2l;
label values se_wb202 se_wb2l;
label values se_wb203 se_wb2l;
label values se_wb204 se_wb2l;
label values se_wb205 se_wb2l;
label values se_wb206 se_wb2l;
label values se_wb207 se_wb2l;
label values se_wb208 se_wb2l;
label values se_wb209 se_wb2l;
label values se_wb210 se_wb2l;
label values se_wb211 se_wb2l;
label values se_wb212 se_wb2l;
label values se_wb213 se_wb2l;
label values se_wb214 se_wb2l;
label values se_wb215 se_wb2l;
label values se_wb216 se_wb2l;
label values se_wb217 se_wb2l;
label values se_wb218 se_wb2l;
label values se_wb219 se_wb2l;
label values se_wb220 se_wb2l;
label values se_wb221 se_wb2l;
label values se_wb222 se_wb2l;
label values se_wb223 se_wb2l;
label values se_wb224 se_wb2l;
label values se_wb225 se_wb2l;
label values se_wb226 se_wb2l;
label values se_wb227 se_wb2l;
label values se_wb228 se_wb2l;
label values se_wb229 se_wb2l;
label values se_wb230 se_wb2l;
label values se_wb231 se_wb2l;
label values se_wb232 se_wb2l;
label values se_wb233 se_wb2l;
label values se_wb234 se_wb2l;
label values se_wb235 se_wb2l;
label values se_wb236 se_wb2l;
label values se_wb237 se_wb2l;
label values se_wb238 se_wb2l;
label values se_wb239 se_wb2l;
label values se_wb240 se_wb2l;
label define se_wb2l 
	0           "None, not in universe, not in" 
	1           "1 week etc"                    
;
label values se_hr101 se_hr1l;
label values se_hr102 se_hr1l;
label values se_hr103 se_hr1l;
label values se_hr104 se_hr1l;
label values se_hr105 se_hr1l;
label values se_hr106 se_hr1l;
label values se_hr107 se_hr1l;
label values se_hr108 se_hr1l;
label values se_hr109 se_hr1l;
label values se_hr110 se_hr1l;
label values se_hr111 se_hr1l;
label values se_hr112 se_hr1l;
label values se_hr113 se_hr1l;
label values se_hr114 se_hr1l;
label values se_hr115 se_hr1l;
label values se_hr116 se_hr1l;
label values se_hr117 se_hr1l;
label values se_hr118 se_hr1l;
label values se_hr119 se_hr1l;
label values se_hr120 se_hr1l;
label values se_hr121 se_hr1l;
label values se_hr122 se_hr1l;
label values se_hr123 se_hr1l;
label values se_hr124 se_hr1l;
label values se_hr125 se_hr1l;
label values se_hr126 se_hr1l;
label values se_hr127 se_hr1l;
label values se_hr128 se_hr1l;
label values se_hr129 se_hr1l;
label values se_hr130 se_hr1l;
label values se_hr131 se_hr1l;
label values se_hr132 se_hr1l;
label values se_hr133 se_hr1l;
label values se_hr134 se_hr1l;
label values se_hr135 se_hr1l;
label values se_hr136 se_hr1l;
label values se_hr137 se_hr1l;
label values se_hr138 se_hr1l;
label values se_hr139 se_hr1l;
label values se_hr140 se_hr1l;
label define se_hr1l 
	0           "Not in universe, not in"       
	-3          "None"                          
;
label values se_hr201 se_hr2l;
label values se_hr202 se_hr2l;
label values se_hr203 se_hr2l;
label values se_hr204 se_hr2l;
label values se_hr205 se_hr2l;
label values se_hr206 se_hr2l;
label values se_hr207 se_hr2l;
label values se_hr208 se_hr2l;
label values se_hr209 se_hr2l;
label values se_hr210 se_hr2l;
label values se_hr211 se_hr2l;
label values se_hr212 se_hr2l;
label values se_hr213 se_hr2l;
label values se_hr214 se_hr2l;
label values se_hr215 se_hr2l;
label values se_hr216 se_hr2l;
label values se_hr217 se_hr2l;
label values se_hr218 se_hr2l;
label values se_hr219 se_hr2l;
label values se_hr220 se_hr2l;
label values se_hr221 se_hr2l;
label values se_hr222 se_hr2l;
label values se_hr223 se_hr2l;
label values se_hr224 se_hr2l;
label values se_hr225 se_hr2l;
label values se_hr226 se_hr2l;
label values se_hr227 se_hr2l;
label values se_hr228 se_hr2l;
label values se_hr229 se_hr2l;
label values se_hr230 se_hr2l;
label values se_hr231 se_hr2l;
label values se_hr232 se_hr2l;
label values se_hr233 se_hr2l;
label values se_hr234 se_hr2l;
label values se_hr235 se_hr2l;
label values se_hr236 se_hr2l;
label values se_hr237 se_hr2l;
label values se_hr238 se_hr2l;
label values se_hr239 se_hr2l;
label values se_hr240 se_hr2l;
label define se_hr2l 
	0           "Not in universe, not in"       
	-3          "None"                          
;
label values g1src1   g1src1l;
label define g1src1l 
	0           "Not applicable, not in sample,"
	1           "Social security"               
	2           "Railroad retirement"           
	3           "Federal supplemental security" 
	5           "State unemployment"            
	6           "Supplemental unemployment"     
	7           "Other unemployment"            
	8           "Veterans compensation or"      
	10          "Workers compensation"          
	12          "Employer or union temporary"   
	13          "Payments from a sickness,"     
	20          "Aid to families with"          
	21          "General assistance or general" 
	23          "Foster child care payments"    
	24          "Other welfare"                 
	25          "WIC"                           
	27          "Food stamps"                   
	28          "Child support payments"        
	29          "Alimony payments"              
	30          "Pension from company or union" 
	31          "Federal civil service or"      
	32          "U.S. military retirement pay"  
	34          "State government pensions"     
	35          "Local government pensions"     
	36          "Income from paid up life"      
	37          "Estates and trusts"            
	38          "Other payments for"            
	40          "GI bill education benefits"    
	41          "Other VA educational"          
	50          "Income assistance from a"      
	51          "Money from relatives or"       
	52          "Lump sum payments"             
	53          "Income from roomers or"        
	54          "National Guard or Reserve pay" 
	55          "Incidental or casual earnings" 
	56          "Other cash income not"         
	75          "State SSI/Black Lung/State"    
;
label values g1src2   g1src2l;
label define g1src2l 
	0           "Not applicable, not in sample,"
	1           "Social security"               
	2           "Railroad retirement"           
	3           "Federal supplemental security" 
	5           "State unemployment"            
	6           "Supplemental unemployment"     
	7           "Other unemployment"            
	8           "Veterans compensation or"      
	10          "Workers compensation"          
	12          "Employer or union temporary"   
	13          "Payments from a sickness,"     
	20          "Aid to families with"          
	21          "General assistance or general" 
	23          "Foster child care payments"    
	24          "Other welfare"                 
	25          "WIC"                           
	27          "Food stamps"                   
	28          "Child support payments"        
	29          "Alimony payments"              
	30          "Pension from company or union" 
	31          "Federal civil service or"      
	32          "U.S. military retirement pay"  
	34          "State government pensions"     
	35          "Local government pensions"     
	36          "Income from paid up life"      
	37          "Estates and trusts"            
	38          "Other payments for"            
	40          "GI bill education benefits"    
	41          "Other VA educational"          
	50          "Income assistance from a"      
	51          "Money from relatives or"       
	52          "Lump sum payments"             
	53          "Income from roomers or"        
	54          "National Guard or Reserve pay" 
	55          "Incidental or casual earnings" 
	56          "Other cash income not"         
	75          "State SSI/Black Lung/State"    
;
label values g1src3   g1src3l;
label define g1src3l 
	0           "Not applicable, not in sample,"
	1           "Social security"               
	2           "Railroad retirement"           
	3           "Federal supplemental security" 
	5           "State unemployment"            
	6           "Supplemental unemployment"     
	7           "Other unemployment"            
	8           "Veterans compensation or"      
	10          "Workers compensation"          
	12          "Employer or union temporary"   
	13          "Payments from a sickness,"     
	20          "Aid to families with"          
	21          "General assistance or general" 
	23          "Foster child care payments"    
	24          "Other welfare"                 
	25          "WIC"                           
	27          "Food stamps"                   
	28          "Child support payments"        
	29          "Alimony payments"              
	30          "Pension from company or union" 
	31          "Federal civil service or"      
	32          "U.S. military retirement pay"  
	34          "State government pensions"     
	35          "Local government pensions"     
	36          "Income from paid up life"      
	37          "Estates and trusts"            
	38          "Other payments for"            
	40          "GI bill education benefits"    
	41          "Other VA educational"          
	50          "Income assistance from a"      
	51          "Money from relatives or"       
	52          "Lump sum payments"             
	53          "Income from roomers or"        
	54          "National Guard or Reserve pay" 
	55          "Incidental or casual earnings" 
	56          "Other cash income not"         
	75          "State SSI/Black Lung/State"    
;
label values g1src4   g1src4l;
label define g1src4l 
	0           "Not applicable, not in sample,"
	1           "Social security"               
	2           "Railroad retirement"           
	3           "Federal supplemental security" 
	5           "State unemployment"            
	6           "Supplemental unemployment"     
	7           "Other unemployment"            
	8           "Veterans compensation or"      
	10          "Workers compensation"          
	12          "Employer or union temporary"   
	13          "Payments from a sickness,"     
	20          "Aid to families with"          
	21          "General assistance or general" 
	23          "Foster child care payments"    
	24          "Other welfare"                 
	25          "WIC"                           
	27          "Food stamps"                   
	28          "Child support payments"        
	29          "Alimony payments"              
	30          "Pension from company or union" 
	31          "Federal civil service or"      
	32          "U.S. military retirement pay"  
	34          "State government pensions"     
	35          "Local government pensions"     
	36          "Income from paid up life"      
	37          "Estates and trusts"            
	38          "Other payments for"            
	40          "GI bill education benefits"    
	41          "Other VA educational"          
	50          "Income assistance from a"      
	51          "Money from relatives or"       
	52          "Lump sum payments"             
	53          "Income from roomers or"        
	54          "National Guard or Reserve pay" 
	55          "Incidental or casual earnings" 
	56          "Other cash income not"         
	75          "State SSI/Black Lung/State"    
;
label values g1src5   g1src5l;
label define g1src5l 
	0           "Not applicable, not in sample,"
	1           "Social security"               
	2           "Railroad retirement"           
	3           "Federal supplemental security" 
	5           "State unemployment"            
	6           "Supplemental unemployment"     
	7           "Other unemployment"            
	8           "Veterans compensation or"      
	10          "Workers compensation"          
	12          "Employer or union temporary"   
	13          "Payments from a sickness,"     
	20          "Aid to families with"          
	21          "General assistance or general" 
	23          "Foster child care payments"    
	24          "Other welfare"                 
	25          "WIC"                           
	27          "Food stamps"                   
	28          "Child support payments"        
	29          "Alimony payments"              
	30          "Pension from company or union" 
	31          "Federal civil service or"      
	32          "U.S. military retirement pay"  
	34          "State government pensions"     
	35          "Local government pensions"     
	36          "Income from paid up life"      
	37          "Estates and trusts"            
	38          "Other payments for"            
	40          "GI bill education benefits"    
	41          "Other VA educational"          
	50          "Income assistance from a"      
	51          "Money from relatives or"       
	52          "Lump sum payments"             
	53          "Income from roomers or"        
	54          "National Guard or Reserve pay" 
	55          "Incidental or casual earnings" 
	56          "Other cash income not"         
	75          "State SSI/Black Lung/State"    
;
label values g1src6   g1src6l;
label define g1src6l 
	0           "Not applicable, not in sample,"
	1           "Social security"               
	2           "Railroad retirement"           
	3           "Federal supplemental security" 
	5           "State unemployment"            
	6           "Supplemental unemployment"     
	7           "Other unemployment"            
	8           "Veterans compensation or"      
	10          "Workers compensation"          
	12          "Employer or union temporary"   
	13          "Payments from a sickness,"     
	20          "Aid to families with"          
	21          "General assistance or general" 
	23          "Foster child care payments"    
	24          "Other welfare"                 
	25          "WIC"                           
	27          "Food stamps"                   
	28          "Child support payments"        
	29          "Alimony payments"              
	30          "Pension from company or union" 
	31          "Federal civil service or"      
	32          "U.S. military retirement pay"  
	34          "State government pensions"     
	35          "Local government pensions"     
	36          "Income from paid up life"      
	37          "Estates and trusts"            
	38          "Other payments for"            
	40          "GI bill education benefits"    
	41          "Other VA educational"          
	50          "Income assistance from a"      
	51          "Money from relatives or"       
	52          "Lump sum payments"             
	53          "Income from roomers or"        
	54          "National Guard or Reserve pay" 
	55          "Incidental or casual earnings" 
	56          "Other cash income not"         
	75          "State SSI/Black Lung/State"    
;
label values g1src7   g1src7l;
label define g1src7l 
	0           "Not applicable, not in sample,"
	1           "Social security"               
	2           "Railroad retirement"           
	3           "Federal supplemental security" 
	5           "State unemployment"            
	6           "Supplemental unemployment"     
	7           "Other unemployment"            
	8           "Veterans compensation or"      
	10          "Workers compensation"          
	12          "Employer or union temporary"   
	13          "Payments from a sickness,"     
	20          "Aid to families with"          
	21          "General assistance or general" 
	23          "Foster child care payments"    
	24          "Other welfare"                 
	25          "WIC"                           
	27          "Food stamps"                   
	28          "Child support payments"        
	29          "Alimony payments"              
	30          "Pension from company or union" 
	31          "Federal civil service or"      
	32          "U.S. military retirement pay"  
	34          "State government pensions"     
	35          "Local government pensions"     
	36          "Income from paid up life"      
	37          "Estates and trusts"            
	38          "Other payments for"            
	40          "GI bill education benefits"    
	41          "Other VA educational"          
	50          "Income assistance from a"      
	51          "Money from relatives or"       
	52          "Lump sum payments"             
	53          "Income from roomers or"        
	54          "National Guard or Reserve pay" 
	55          "Incidental or casual earnings" 
	56          "Other cash income not"         
	75          "State SSI/Black Lung/State"    
;
label values g1src8   g1src8l;
label define g1src8l 
	0           "Not applicable, not in sample,"
	1           "Social security"               
	2           "Railroad retirement"           
	3           "Federal supplemental security" 
	5           "State unemployment"            
	6           "Supplemental unemployment"     
	7           "Other unemployment"            
	8           "Veterans compensation or"      
	10          "Workers compensation"          
	12          "Employer or union temporary"   
	13          "Payments from a sickness,"     
	20          "Aid to families with"          
	21          "General assistance or general" 
	23          "Foster child care payments"    
	24          "Other welfare"                 
	25          "WIC"                           
	27          "Food stamps"                   
	28          "Child support payments"        
	29          "Alimony payments"              
	30          "Pension from company or union" 
	31          "Federal civil service or"      
	32          "U.S. military retirement pay"  
	34          "State government pensions"     
	35          "Local government pensions"     
	36          "Income from paid up life"      
	37          "Estates and trusts"            
	38          "Other payments for"            
	40          "GI bill education benefits"    
	41          "Other VA educational"          
	50          "Income assistance from a"      
	51          "Money from relatives or"       
	52          "Lump sum payments"             
	53          "Income from roomers or"        
	54          "National Guard or Reserve pay" 
	55          "Incidental or casual earnings" 
	56          "Other cash income not"         
	75          "State SSI/Black Lung/State"    
;
label values g1src9   g1src9l;
label define g1src9l 
	0           "Not applicable, not in sample,"
	1           "Social security"               
	2           "Railroad retirement"           
	3           "Federal supplemental security" 
	5           "State unemployment"            
	6           "Supplemental unemployment"     
	7           "Other unemployment"            
	8           "Veterans compensation or"      
	10          "Workers compensation"          
	12          "Employer or union temporary"   
	13          "Payments from a sickness,"     
	20          "Aid to families with"          
	21          "General assistance or general" 
	23          "Foster child care payments"    
	24          "Other welfare"                 
	25          "WIC"                           
	27          "Food stamps"                   
	28          "Child support payments"        
	29          "Alimony payments"              
	30          "Pension from company or union" 
	31          "Federal civil service or"      
	32          "U.S. military retirement pay"  
	34          "State government pensions"     
	35          "Local government pensions"     
	36          "Income from paid up life"      
	37          "Estates and trusts"            
	38          "Other payments for"            
	40          "GI bill education benefits"    
	41          "Other VA educational"          
	50          "Income assistance from a"      
	51          "Money from relatives or"       
	52          "Lump sum payments"             
	53          "Income from roomers or"        
	54          "National Guard or Reserve pay" 
	55          "Incidental or casual earnings" 
	56          "Other cash income not"         
	75          "State SSI/Black Lung/State"    
;
label values g1src10  g1src10l;
label define g1src10l
	0           "Not applicable, not in sample,"
	1           "Social security"               
	2           "Railroad retirement"           
	3           "Federal supplemental security" 
	5           "State unemployment"            
	6           "Supplemental unemployment"     
	7           "Other unemployment"            
	8           "Veterans compensation or"      
	10          "Workers compensation"          
	12          "Employer or union temporary"   
	13          "Payments from a sickness,"     
	20          "Aid to families with"          
	21          "General assistance or general" 
	23          "Foster child care payments"    
	24          "Other welfare"                 
	25          "WIC"                           
	27          "Food stamps"                   
	28          "Child support payments"        
	29          "Alimony payments"              
	30          "Pension from company or union" 
	31          "Federal civil service or"      
	32          "U.S. military retirement pay"  
	34          "State government pensions"     
	35          "Local government pensions"     
	36          "Income from paid up life"      
	37          "Estates and trusts"            
	38          "Other payments for"            
	40          "GI bill education benefits"    
	41          "Other VA educational"          
	50          "Income assistance from a"      
	51          "Money from relatives or"       
	52          "Lump sum payments"             
	53          "Income from roomers or"        
	54          "National Guard or Reserve pay" 
	55          "Incidental or casual earnings" 
	56          "Other cash income not"         
	75          "State SSI/Black Lung/State"    
;
label values ssreci01 ssreci; 
label values ssreci02 ssreci; 
label values ssreci03 ssreci; 
label values ssreci04 ssreci; 
label values ssreci05 ssreci; 
label values ssreci06 ssreci; 
label values ssreci07 ssreci; 
label values ssreci08 ssreci; 
label values ssreci09 ssreci; 
label values ssreci10 ssreci; 
label define ssreci  
	0           "Not in universe"               
	1           "Adult benefits received in own"
	2           "Only adult benefits received"  
	3           "Only child benefits received"  
	4           "Adult benefits received in own"
	5           "Adult benefits received"       
;
label values rrreci01 rrreci; 
label values rrreci02 rrreci; 
label values rrreci03 rrreci; 
label values rrreci04 rrreci; 
label values rrreci05 rrreci; 
label values rrreci06 rrreci; 
label values rrreci07 rrreci; 
label values rrreci08 rrreci; 
label values rrreci09 rrreci; 
label values rrreci10 rrreci; 
label define rrreci  
	0           "Not in universe"               
	1           "Adult benefits received in own"
	2           "Only adult benefits received"  
	3           "Only child benefits received"  
	4           "Adult benefits received in own"
	5           "Adult benefits received"       
;
label values sc3060   sc3060l;
label define sc3060l 
	0           "Not in universe or don't know" 
	1           "Yes"                           
	2           "No"                            
	-1          "Dk"                            
;
label values ast15001 ast150l;
label values ast15002 ast150l;
label values ast15003 ast150l;
label values ast15004 ast150l;
label values ast15005 ast150l;
label values ast15006 ast150l;
label values ast15007 ast150l;
label values ast15008 ast150l;
label values ast15009 ast150l;
label values ast15010 ast150l;
label define ast150l 
	0           "Not applicable"                
	1           "Yes"                           
	2           "No"                            
;
label values g2src140 g2src14i;
label define g2src14i
	0           "Not applicable, not in sample,"
	1           "Yes"                           
	2           "No"                            
;


#delimit cr

sort pp_id pp_entry pp_pnum
egen id = concat(pp_id pp_entry pp_pnum)
sort id

save `dta_name' , replace
clear
