function [lifewage,lifewage_y,lifewage_o] = comp_lifewage(NLSY_aux,work)
names = {'Emp' 'JTJ' 'Prod' 'Gamma' 'asset' 'Acc' 'Gross w' 'c' 'i' 'search' 'disab' 'type' 'age'};

%keep employed
NLSY_aux(NLSY_aux(:,1)~=1,:) = [];

%mean earnings 25-27
aux = NLSY_aux(logical((NLSY_aux(:,13)>=1).*(NLSY_aux(:,13)<=12)),7);
wage_25 = mean(aux);

%mean earnings 47-49
aux = NLSY_aux(logical((NLSY_aux(:,13)>=89).*(NLSY_aux(:,13)<=100)),7);
wage_47 = mean(aux);

%mean earnings 50-52
aux = NLSY_aux(logical((NLSY_aux(:,13)>=97).*(NLSY_aux(:,13)<=109)),7);
wage_50 = mean(aux);

%mean earnings 59-61
aux = NLSY_aux(logical((NLSY_aux(:,13)>=137).*(NLSY_aux(:,13)<=148)),7);
wage_59 = mean(aux);

lifewage = log(wage_59)-log(wage_25);
lifewage_y = log(wage_47)-log(wage_25);
lifewage_o = log(wage_59)-log(wage_50);

% %keep age 5 and work
% NLSY_aux(NLSY_aux(:,11)<5,:) = [];
% NLSY_aux(NLSY_aux(:,11)>work,:) = [];
% NLSY_aux(logical((NLSY_aux(:,11)<work).*(NLSY_aux(:,11)>5)),:) = [];
% 
% %drop non-employed
% NLSY_aux(NLSY_aux(:,1)~=1,:) = [];
% 
% %keep those with 2 observations
% NLSY_aux(:,12) = count_obs(NLSY_aux(:,9));
% NLSY_aux(NLSY_aux(:,12)~=2,:) = [];
% 
% %compute wage growth
% fcn = @(x){create_diff(x)};
% NLSY_aux(:,13) = accumarray_expand(log(NLSY_aux(:,7)),NLSY_aux(:,9),fcn);
% 
% lifewage = mean(NLSY_aux(:,13));

end