function wealth_stat = comp_wwr(NLSY_aux,work)

NLSY_aux(NLSY_aux(:,12)>work,:) = [];

wealth_stat.total_25 = prctile(NLSY_aux(:,5),25);
wealth_stat.total_30 = prctile(NLSY_aux(:,5),30);
wealth_stat.total_35 = prctile(NLSY_aux(:,5),35);
wealth_stat.total_50 = median(NLSY_aux(:,5));
wealth_stat.total_mean = mean(NLSY_aux(:,5));
wealth_stat.JU_25 = prctile(NLSY_aux(NLSY_aux(:,1)==2,5),25);
wealth_stat.JU_50 = median(NLSY_aux(NLSY_aux(:,1)==2,5));
wealth_stat.JU_mean = mean(NLSY_aux(NLSY_aux(:,1)==2,5));
NLSY_aux(2:end,14) = NLSY_aux(1:end-1,7); %lagged income
NLSY_aux(:,14) = NLSY_aux(:,5)./NLSY_aux(:,14); 
wealth_stat.JU_replace_25 = prctile(NLSY_aux(NLSY_aux(:,1)==2,14),25);
wealth_stat.JU_replace_50 = median(NLSY_aux(NLSY_aux(:,1)==2,14));
wealth_stat.JU_replace_mean = mean(NLSY_aux(NLSY_aux(:,1)==2,14));
NLSY_aux(NLSY_aux(:,1)~=1,:) = []; %keep the employed
wealth_stat.emp_50 = median(NLSY_aux(:,5));
wealth_stat.emp_mean = mean(NLSY_aux(:,5));

NLSY_aux(:,14) = NLSY_aux(:,5)./NLSY_aux(:,7);
wealth_stat.ww = median(NLSY_aux(:,14));


end