/*
This extract was created by Jean Roth, at the National Bureau of Economic Research. 
Please report errors in the extract program to jroth@nber.org
Copyright 2003 shared by Jean Roth and the National Bureau of Economic Research.

*/

clear


local dat_name "F:\Data\SIPP\Data\sipp92fp.dat"

/* The following line should contain the path to your output '.dta' file */
local dta_name "F:\Data\SIPP\Extracts\sipp92lfp3.dta"

/* The following line should contain the path to the data dictionary file */
local dct_name "F:\Data\SIPP\Data\sip92fp3.dct"


quietly infile using "`dct_name'", using("`dat_name'") clear


*Everything below this point are value labels


#delimit ;

;
label values careco01 careco; 
label values careco02 careco; 
label values careco03 careco; 
label values careco04 careco; 
label values careco05 careco; 
label values careco06 careco; 
label values careco07 careco; 
label values careco08 careco; 
label values careco09 careco; 
label values careco10 careco; 
label values careco11 careco; 
label values careco12 careco; 
label values careco13 careco; 
label values careco14 careco; 
label values careco15 careco; 
label values careco16 careco; 
label values careco17 careco; 
label values careco18 careco; 
label values careco19 careco; 
label values careco20 careco; 
label values careco21 careco; 
label values careco22 careco; 
label values careco23 careco; 
label values careco24 careco; 
label values careco25 careco; 
label values careco26 careco; 
label values careco27 careco; 
label values careco28 careco; 
label values careco29 careco; 
label values careco30 careco; 
label values careco31 careco; 
label values careco32 careco; 
label values careco33 careco; 
label values careco34 careco; 
label values careco35 careco; 
label values careco36 careco; 
label values careco37 careco; 
label values careco38 careco; 
label values careco39 careco; 
label values careco40 careco; 
label define careco  
	0           "Not applicable if age under"   
	1           "Yes"                           
	2           "No"                            
;
label values caidco01 caidco; 
label values caidco02 caidco; 
label values caidco03 caidco; 
label values caidco04 caidco; 
label values caidco05 caidco; 
label values caidco06 caidco; 
label values caidco07 caidco; 
label values caidco08 caidco; 
label values caidco09 caidco; 
label values caidco10 caidco; 
label values caidco11 caidco; 
label values caidco12 caidco; 
label values caidco13 caidco; 
label values caidco14 caidco; 
label values caidco15 caidco; 
label values caidco16 caidco; 
label values caidco17 caidco; 
label values caidco18 caidco; 
label values caidco19 caidco; 
label values caidco20 caidco; 
label values caidco21 caidco; 
label values caidco22 caidco; 
label values caidco23 caidco; 
label values caidco24 caidco; 
label values caidco25 caidco; 
label values caidco26 caidco; 
label values caidco27 caidco; 
label values caidco28 caidco; 
label values caidco29 caidco; 
label values caidco30 caidco; 
label values caidco31 caidco; 
label values caidco32 caidco; 
label values caidco33 caidco; 
label values caidco34 caidco; 
label values caidco35 caidco; 
label values caidco36 caidco; 
label values caidco37 caidco; 
label values caidco38 caidco; 
label values caidco39 caidco; 
label values caidco40 caidco; 
label define caidco  
	0           "Not applicable, not in sample,"
	1           "Yes"                           
	2           "No"                            
;
label values wiccov01 wiccov; 
label values wiccov02 wiccov; 
label values wiccov03 wiccov; 
label values wiccov04 wiccov; 
label values wiccov05 wiccov; 
label values wiccov06 wiccov; 
label values wiccov07 wiccov; 
label values wiccov08 wiccov; 
label values wiccov09 wiccov; 
label values wiccov10 wiccov; 
label values wiccov11 wiccov; 
label values wiccov12 wiccov; 
label values wiccov13 wiccov; 
label values wiccov14 wiccov; 
label values wiccov15 wiccov; 
label values wiccov16 wiccov; 
label values wiccov17 wiccov; 
label values wiccov18 wiccov; 
label values wiccov19 wiccov; 
label values wiccov20 wiccov; 
label values wiccov21 wiccov; 
label values wiccov22 wiccov; 
label values wiccov23 wiccov; 
label values wiccov24 wiccov; 
label values wiccov25 wiccov; 
label values wiccov26 wiccov; 
label values wiccov27 wiccov; 
label values wiccov28 wiccov; 
label values wiccov29 wiccov; 
label values wiccov30 wiccov; 
label values wiccov31 wiccov; 
label values wiccov32 wiccov; 
label values wiccov33 wiccov; 
label values wiccov34 wiccov; 
label values wiccov35 wiccov; 
label values wiccov36 wiccov; 
label values wiccov37 wiccov; 
label values wiccov38 wiccov; 
label values wiccov39 wiccov; 
label values wiccov40 wiccov; 
label define wiccov  
	0           "Not applicable, not in sample,"
	1           "Yes"                           
	2           "No"                            
;
label values afdc_01  afdc;   
label values afdc_02  afdc;   
label values afdc_03  afdc;   
label values afdc_04  afdc;   
label values afdc_05  afdc;   
label values afdc_06  afdc;   
label values afdc_07  afdc;   
label values afdc_08  afdc;   
label values afdc_09  afdc;   
label values afdc_10  afdc;   
label values afdc_11  afdc;   
label values afdc_12  afdc;   
label values afdc_13  afdc;   
label values afdc_14  afdc;   
label values afdc_15  afdc;   
label values afdc_16  afdc;   
label values afdc_17  afdc;   
label values afdc_18  afdc;   
label values afdc_19  afdc;   
label values afdc_20  afdc;   
label values afdc_21  afdc;   
label values afdc_22  afdc;   
label values afdc_23  afdc;   
label values afdc_24  afdc;   
label values afdc_25  afdc;   
label values afdc_26  afdc;   
label values afdc_27  afdc;   
label values afdc_28  afdc;   
label values afdc_29  afdc;   
label values afdc_30  afdc;   
label values afdc_31  afdc;   
label values afdc_32  afdc;   
label values afdc_33  afdc;   
label values afdc_34  afdc;   
label values afdc_35  afdc;   
label values afdc_36  afdc;   
label values afdc_37  afdc;   
label values afdc_38  afdc;   
label values afdc_39  afdc;   
label values afdc_40  afdc;   
label define afdc    
	0           "Not applicable, not in sample,"
	1           "Yes"                           
	2           "No"                            
;
label values foodst01 foodst; 
label values foodst02 foodst; 
label values foodst03 foodst; 
label values foodst04 foodst; 
label values foodst05 foodst; 
label values foodst06 foodst; 
label values foodst07 foodst; 
label values foodst08 foodst; 
label values foodst09 foodst; 
label values foodst10 foodst; 
label values foodst11 foodst; 
label values foodst12 foodst; 
label values foodst13 foodst; 
label values foodst14 foodst; 
label values foodst15 foodst; 
label values foodst16 foodst; 
label values foodst17 foodst; 
label values foodst18 foodst; 
label values foodst19 foodst; 
label values foodst20 foodst; 
label values foodst21 foodst; 
label values foodst22 foodst; 
label values foodst23 foodst; 
label values foodst24 foodst; 
label values foodst25 foodst; 
label values foodst26 foodst; 
label values foodst27 foodst; 
label values foodst28 foodst; 
label values foodst29 foodst; 
label values foodst30 foodst; 
label values foodst31 foodst; 
label values foodst32 foodst; 
label values foodst33 foodst; 
label values foodst34 foodst; 
label values foodst35 foodst; 
label values foodst36 foodst; 
label values foodst37 foodst; 
label values foodst38 foodst; 
label values foodst39 foodst; 
label values foodst40 foodst; 
label define foodst  
	0           "Not applicable, not in sample,"
	1           "Yes"                           
	2           "No"                            
;
label values gen_as01 gen_as; 
label values gen_as02 gen_as; 
label values gen_as03 gen_as; 
label values gen_as04 gen_as; 
label values gen_as05 gen_as; 
label values gen_as06 gen_as; 
label values gen_as07 gen_as; 
label values gen_as08 gen_as; 
label values gen_as09 gen_as; 
label values gen_as10 gen_as; 
label values gen_as11 gen_as; 
label values gen_as12 gen_as; 
label values gen_as13 gen_as; 
label values gen_as14 gen_as; 
label values gen_as15 gen_as; 
label values gen_as16 gen_as; 
label values gen_as17 gen_as; 
label values gen_as18 gen_as; 
label values gen_as19 gen_as; 
label values gen_as20 gen_as; 
label values gen_as21 gen_as; 
label values gen_as22 gen_as; 
label values gen_as23 gen_as; 
label values gen_as24 gen_as; 
label values gen_as25 gen_as; 
label values gen_as26 gen_as; 
label values gen_as27 gen_as; 
label values gen_as28 gen_as; 
label values gen_as29 gen_as; 
label values gen_as30 gen_as; 
label values gen_as31 gen_as; 
label values gen_as32 gen_as; 
label values gen_as33 gen_as; 
label values gen_as34 gen_as; 
label values gen_as35 gen_as; 
label values gen_as36 gen_as; 
label values gen_as37 gen_as; 
label values gen_as38 gen_as; 
label values gen_as39 gen_as; 
label values gen_as40 gen_as; 
label define gen_as  
	0           "Not applicable, not in sample,"
	1           "Yes"                           
	2           "No"                            
;
label values fost_k01 fost_k; 
label values fost_k02 fost_k; 
label values fost_k03 fost_k; 
label values fost_k04 fost_k; 
label values fost_k05 fost_k; 
label values fost_k06 fost_k; 
label values fost_k07 fost_k; 
label values fost_k08 fost_k; 
label values fost_k09 fost_k; 
label values fost_k10 fost_k; 
label values fost_k11 fost_k; 
label values fost_k12 fost_k; 
label values fost_k13 fost_k; 
label values fost_k14 fost_k; 
label values fost_k15 fost_k; 
label values fost_k16 fost_k; 
label values fost_k17 fost_k; 
label values fost_k18 fost_k; 
label values fost_k19 fost_k; 
label values fost_k20 fost_k; 
label values fost_k21 fost_k; 
label values fost_k22 fost_k; 
label values fost_k23 fost_k; 
label values fost_k24 fost_k; 
label values fost_k25 fost_k; 
label values fost_k26 fost_k; 
label values fost_k27 fost_k; 
label values fost_k28 fost_k; 
label values fost_k29 fost_k; 
label values fost_k30 fost_k; 
label values fost_k31 fost_k; 
label values fost_k32 fost_k; 
label values fost_k33 fost_k; 
label values fost_k34 fost_k; 
label values fost_k35 fost_k; 
label values fost_k36 fost_k; 
label values fost_k37 fost_k; 
label values fost_k38 fost_k; 
label values fost_k39 fost_k; 
label values fost_k40 fost_k; 
label define fost_k  
	0           "Not applicable, not in sample,"
	1           "Yes"                           
	2           "No"                            
;
label values oth_we01 oth_we; 
label values oth_we02 oth_we; 
label values oth_we03 oth_we; 
label values oth_we04 oth_we; 
label values oth_we05 oth_we; 
label values oth_we06 oth_we; 
label values oth_we07 oth_we; 
label values oth_we08 oth_we; 
label values oth_we09 oth_we; 
label values oth_we10 oth_we; 
label values oth_we11 oth_we; 
label values oth_we12 oth_we; 
label values oth_we13 oth_we; 
label values oth_we14 oth_we; 
label values oth_we15 oth_we; 
label values oth_we16 oth_we; 
label values oth_we17 oth_we; 
label values oth_we18 oth_we; 
label values oth_we19 oth_we; 
label values oth_we20 oth_we; 
label values oth_we21 oth_we; 
label values oth_we22 oth_we; 
label values oth_we23 oth_we; 
label values oth_we24 oth_we; 
label values oth_we25 oth_we; 
label values oth_we26 oth_we; 
label values oth_we27 oth_we; 
label values oth_we28 oth_we; 
label values oth_we29 oth_we; 
label values oth_we30 oth_we; 
label values oth_we31 oth_we; 
label values oth_we32 oth_we; 
label values oth_we33 oth_we; 
label values oth_we34 oth_we; 
label values oth_we35 oth_we; 
label values oth_we36 oth_we; 
label values oth_we37 oth_we; 
label values oth_we38 oth_we; 
label values oth_we39 oth_we; 
label values oth_we40 oth_we; 
label define oth_we  
	0           "Not applicable, not in sample,"
	1           "Yes"                           
	2           "No"                            
;
label values soc_se01 soc_se; 
label values soc_se02 soc_se; 
label values soc_se03 soc_se; 
label values soc_se04 soc_se; 
label values soc_se05 soc_se; 
label values soc_se06 soc_se; 
label values soc_se07 soc_se; 
label values soc_se08 soc_se; 
label values soc_se09 soc_se; 
label values soc_se10 soc_se; 
label values soc_se11 soc_se; 
label values soc_se12 soc_se; 
label values soc_se13 soc_se; 
label values soc_se14 soc_se; 
label values soc_se15 soc_se; 
label values soc_se16 soc_se; 
label values soc_se17 soc_se; 
label values soc_se18 soc_se; 
label values soc_se19 soc_se; 
label values soc_se20 soc_se; 
label values soc_se21 soc_se; 
label values soc_se22 soc_se; 
label values soc_se23 soc_se; 
label values soc_se24 soc_se; 
label values soc_se25 soc_se; 
label values soc_se26 soc_se; 
label values soc_se27 soc_se; 
label values soc_se28 soc_se; 
label values soc_se29 soc_se; 
label values soc_se30 soc_se; 
label values soc_se31 soc_se; 
label values soc_se32 soc_se; 
label values soc_se33 soc_se; 
label values soc_se34 soc_se; 
label values soc_se35 soc_se; 
label values soc_se36 soc_se; 
label values soc_se37 soc_se; 
label values soc_se38 soc_se; 
label values soc_se39 soc_se; 
label values soc_se40 soc_se; 
label define soc_se  
	0           "Not applicable, not in sample,"
	1           "Yes"                           
	2           "No"                            
;
label values railro01 railro; 
label values railro02 railro; 
label values railro03 railro; 
label values railro04 railro; 
label values railro05 railro; 
label values railro06 railro; 
label values railro07 railro; 
label values railro08 railro; 
label values railro09 railro; 
label values railro10 railro; 
label values railro11 railro; 
label values railro12 railro; 
label values railro13 railro; 
label values railro14 railro; 
label values railro15 railro; 
label values railro16 railro; 
label values railro17 railro; 
label values railro18 railro; 
label values railro19 railro; 
label values railro20 railro; 
label values railro21 railro; 
label values railro22 railro; 
label values railro23 railro; 
label values railro24 railro; 
label values railro25 railro; 
label values railro26 railro; 
label values railro27 railro; 
label values railro28 railro; 
label values railro29 railro; 
label values railro30 railro; 
label values railro31 railro; 
label values railro32 railro; 
label values railro33 railro; 
label values railro34 railro; 
label values railro35 railro; 
label values railro36 railro; 
label values railro37 railro; 
label values railro38 railro; 
label values railro39 railro; 
label values railro40 railro; 
label define railro  
	0           "Not applicable, not in sample,"
	1           "Yes"                           
	2           "No"                            
;
label values vets_01  vets;   
label values vets_02  vets;   
label values vets_03  vets;   
label values vets_04  vets;   
label values vets_05  vets;   
label values vets_06  vets;   
label values vets_07  vets;   
label values vets_08  vets;   
label values vets_09  vets;   
label values vets_10  vets;   
label values vets_11  vets;   
label values vets_12  vets;   
label values vets_13  vets;   
label values vets_14  vets;   
label values vets_15  vets;   
label values vets_16  vets;   
label values vets_17  vets;   
label values vets_18  vets;   
label values vets_19  vets;   
label values vets_20  vets;   
label values vets_21  vets;   
label values vets_22  vets;   
label values vets_23  vets;   
label values vets_24  vets;   
label values vets_25  vets;   
label values vets_26  vets;   
label values vets_27  vets;   
label values vets_28  vets;   
label values vets_29  vets;   
label values vets_30  vets;   
label values vets_31  vets;   
label values vets_32  vets;   
label values vets_33  vets;   
label values vets_34  vets;   
label values vets_35  vets;   
label values vets_36  vets;   
label values vets_37  vets;   
label values vets_38  vets;   
label values vets_39  vets;   
label values vets_40  vets;   
label define vets    
	0           "Not applicable, not in sample,"
	1           "Yes"                           
	2           "No"                            
;
label values champ_01 champ;  
label values champ_02 champ;  
label values champ_03 champ;  
label values champ_04 champ;  
label values champ_05 champ;  
label values champ_06 champ;  
label values champ_07 champ;  
label values champ_08 champ;  
label values champ_09 champ;  
label values champ_10 champ;  
label values champ_11 champ;  
label values champ_12 champ;  
label values champ_13 champ;  
label values champ_14 champ;  
label values champ_15 champ;  
label values champ_16 champ;  
label values champ_17 champ;  
label values champ_18 champ;  
label values champ_19 champ;  
label values champ_20 champ;  
label values champ_21 champ;  
label values champ_22 champ;  
label values champ_23 champ;  
label values champ_24 champ;  
label values champ_25 champ;  
label values champ_26 champ;  
label values champ_27 champ;  
label values champ_28 champ;  
label values champ_29 champ;  
label values champ_30 champ;  
label values champ_31 champ;  
label values champ_32 champ;  
label values champ_33 champ;  
label values champ_34 champ;  
label values champ_35 champ;  
label values champ_36 champ;  
label values champ_37 champ;  
label values champ_38 champ;  
label values champ_39 champ;  
label values champ_40 champ;  
label define champ   
	0           "Not applicable"                
	1           "Yes"                           
	2           "No"                            
;
label values hiownc01 hiownc; 
label values hiownc02 hiownc; 
label values hiownc03 hiownc; 
label values hiownc04 hiownc; 
label values hiownc05 hiownc; 
label values hiownc06 hiownc; 
label values hiownc07 hiownc; 
label values hiownc08 hiownc; 
label values hiownc09 hiownc; 
label values hiownc10 hiownc; 
label values hiownc11 hiownc; 
label values hiownc12 hiownc; 
label values hiownc13 hiownc; 
label values hiownc14 hiownc; 
label values hiownc15 hiownc; 
label values hiownc16 hiownc; 
label values hiownc17 hiownc; 
label values hiownc18 hiownc; 
label values hiownc19 hiownc; 
label values hiownc20 hiownc; 
label values hiownc21 hiownc; 
label values hiownc22 hiownc; 
label values hiownc23 hiownc; 
label values hiownc24 hiownc; 
label values hiownc25 hiownc; 
label values hiownc26 hiownc; 
label values hiownc27 hiownc; 
label values hiownc28 hiownc; 
label values hiownc29 hiownc; 
label values hiownc30 hiownc; 
label values hiownc31 hiownc; 
label values hiownc32 hiownc; 
label values hiownc33 hiownc; 
label values hiownc34 hiownc; 
label values hiownc35 hiownc; 
label values hiownc36 hiownc; 
label values hiownc37 hiownc; 
label values hiownc38 hiownc; 
label values hiownc39 hiownc; 
label values hiownc40 hiownc; 
label define hiownc  
	0           "Not in universe, not in"       
	1           "Had health insurance in own"   
	2           "Did not have health insurance" 
;
label values hi_otc01 hi_otc; 
label values hi_otc02 hi_otc; 
label values hi_otc03 hi_otc; 
label values hi_otc04 hi_otc; 
label values hi_otc05 hi_otc; 
label values hi_otc06 hi_otc; 
label values hi_otc07 hi_otc; 
label values hi_otc08 hi_otc; 
label values hi_otc09 hi_otc; 
label values hi_otc10 hi_otc; 
label values hi_otc11 hi_otc; 
label values hi_otc12 hi_otc; 
label values hi_otc13 hi_otc; 
label values hi_otc14 hi_otc; 
label values hi_otc15 hi_otc; 
label values hi_otc16 hi_otc; 
label values hi_otc17 hi_otc; 
label values hi_otc18 hi_otc; 
label values hi_otc19 hi_otc; 
label values hi_otc20 hi_otc; 
label values hi_otc21 hi_otc; 
label values hi_otc22 hi_otc; 
label values hi_otc23 hi_otc; 
label values hi_otc24 hi_otc; 
label values hi_otc25 hi_otc; 
label values hi_otc26 hi_otc; 
label values hi_otc27 hi_otc; 
label values hi_otc28 hi_otc; 
label values hi_otc29 hi_otc; 
label values hi_otc30 hi_otc; 
label values hi_otc31 hi_otc; 
label values hi_otc32 hi_otc; 
label values hi_otc33 hi_otc; 
label values hi_otc34 hi_otc; 
label values hi_otc35 hi_otc; 
label values hi_otc36 hi_otc; 
label values hi_otc37 hi_otc; 
label values hi_otc38 hi_otc; 
label values hi_otc39 hi_otc; 
label values hi_otc40 hi_otc; 
label define hi_otc  
	0           "Not in universe, not in"       
	1           "Had health insurance thru"     
	2           "Did not have health insurance" 
;
label values hiempl01 hiempl; 
label values hiempl02 hiempl; 
label values hiempl03 hiempl; 
label values hiempl04 hiempl; 
label values hiempl05 hiempl; 
label values hiempl06 hiempl; 
label values hiempl07 hiempl; 
label values hiempl08 hiempl; 
label values hiempl09 hiempl; 
label values hiempl10 hiempl; 
label values hiempl11 hiempl; 
label values hiempl12 hiempl; 
label values hiempl13 hiempl; 
label values hiempl14 hiempl; 
label values hiempl15 hiempl; 
label values hiempl16 hiempl; 
label values hiempl17 hiempl; 
label values hiempl18 hiempl; 
label values hiempl19 hiempl; 
label values hiempl20 hiempl; 
label values hiempl21 hiempl; 
label values hiempl22 hiempl; 
label values hiempl23 hiempl; 
label values hiempl24 hiempl; 
label values hiempl25 hiempl; 
label values hiempl26 hiempl; 
label values hiempl27 hiempl; 
label values hiempl28 hiempl; 
label values hiempl29 hiempl; 
label values hiempl30 hiempl; 
label values hiempl31 hiempl; 
label values hiempl32 hiempl; 
label values hiempl33 hiempl; 
label values hiempl34 hiempl; 
label values hiempl35 hiempl; 
label values hiempl36 hiempl; 
label values hiempl37 hiempl; 
label values hiempl38 hiempl; 
label values hiempl39 hiempl; 
label values hiempl40 hiempl; 
label define hiempl  
	0           "Not in universe, not in"       
	1           "Health insurance coverage"     
	2           "Health insurance coverage not" 
;
label values ss_pid01 ss_pid; 
label values ss_pid02 ss_pid; 
label values ss_pid03 ss_pid; 
label values ss_pid04 ss_pid; 
label values ss_pid05 ss_pid; 
label values ss_pid06 ss_pid; 
label values ss_pid07 ss_pid; 
label values ss_pid08 ss_pid; 
label values ss_pid09 ss_pid; 
label values ss_pid10 ss_pid; 
label values ss_pid11 ss_pid; 
label values ss_pid12 ss_pid; 
label values ss_pid13 ss_pid; 
label values ss_pid14 ss_pid; 
label values ss_pid15 ss_pid; 
label values ss_pid16 ss_pid; 
label values ss_pid17 ss_pid; 
label values ss_pid18 ss_pid; 
label values ss_pid19 ss_pid; 
label values ss_pid20 ss_pid; 
label values ss_pid21 ss_pid; 
label values ss_pid22 ss_pid; 
label values ss_pid23 ss_pid; 
label values ss_pid24 ss_pid; 
label values ss_pid25 ss_pid; 
label values ss_pid26 ss_pid; 
label values ss_pid27 ss_pid; 
label values ss_pid28 ss_pid; 
label values ss_pid29 ss_pid; 
label values ss_pid30 ss_pid; 
label values ss_pid31 ss_pid; 
label values ss_pid32 ss_pid; 
label values ss_pid33 ss_pid; 
label values ss_pid34 ss_pid; 
label values ss_pid35 ss_pid; 
label values ss_pid36 ss_pid; 
label values ss_pid37 ss_pid; 
label values ss_pid38 ss_pid; 
label values ss_pid39 ss_pid; 
label values ss_pid40 ss_pid; 
label define ss_pid  
	0           "Not in universe, not in"       
;
label values rr_pid01 rr_pid; 
label values rr_pid02 rr_pid; 
label values rr_pid03 rr_pid; 
label values rr_pid04 rr_pid; 
label values rr_pid05 rr_pid; 
label values rr_pid06 rr_pid; 
label values rr_pid07 rr_pid; 
label values rr_pid08 rr_pid; 
label values rr_pid09 rr_pid; 
label values rr_pid10 rr_pid; 
label values rr_pid11 rr_pid; 
label values rr_pid12 rr_pid; 
label values rr_pid13 rr_pid; 
label values rr_pid14 rr_pid; 
label values rr_pid15 rr_pid; 
label values rr_pid16 rr_pid; 
label values rr_pid17 rr_pid; 
label values rr_pid18 rr_pid; 
label values rr_pid19 rr_pid; 
label values rr_pid20 rr_pid; 
label values rr_pid21 rr_pid; 
label values rr_pid22 rr_pid; 
label values rr_pid23 rr_pid; 
label values rr_pid24 rr_pid; 
label values rr_pid25 rr_pid; 
label values rr_pid26 rr_pid; 
label values rr_pid27 rr_pid; 
label values rr_pid28 rr_pid; 
label values rr_pid29 rr_pid; 
label values rr_pid30 rr_pid; 
label values rr_pid31 rr_pid; 
label values rr_pid32 rr_pid; 
label values rr_pid33 rr_pid; 
label values rr_pid34 rr_pid; 
label values rr_pid35 rr_pid; 
label values rr_pid36 rr_pid; 
label values rr_pid37 rr_pid; 
label values rr_pid38 rr_pid; 
label values rr_pid39 rr_pid; 
label values rr_pid40 rr_pid; 
label define rr_pid  
	0           "Not in universe, not in"       
;
label values va_pid01 va_pid; 
label values va_pid02 va_pid; 
label values va_pid03 va_pid; 
label values va_pid04 va_pid; 
label values va_pid05 va_pid; 
label values va_pid06 va_pid; 
label values va_pid07 va_pid; 
label values va_pid08 va_pid; 
label values va_pid09 va_pid; 
label values va_pid10 va_pid; 
label values va_pid11 va_pid; 
label values va_pid12 va_pid; 
label values va_pid13 va_pid; 
label values va_pid14 va_pid; 
label values va_pid15 va_pid; 
label values va_pid16 va_pid; 
label values va_pid17 va_pid; 
label values va_pid18 va_pid; 
label values va_pid19 va_pid; 
label values va_pid20 va_pid; 
label values va_pid21 va_pid; 
label values va_pid22 va_pid; 
label values va_pid23 va_pid; 
label values va_pid24 va_pid; 
label values va_pid25 va_pid; 
label values va_pid26 va_pid; 
label values va_pid27 va_pid; 
label values va_pid28 va_pid; 
label values va_pid29 va_pid; 
label values va_pid30 va_pid; 
label values va_pid31 va_pid; 
label values va_pid32 va_pid; 
label values va_pid33 va_pid; 
label values va_pid34 va_pid; 
label values va_pid35 va_pid; 
label values va_pid36 va_pid; 
label values va_pid37 va_pid; 
label values va_pid38 va_pid; 
label values va_pid39 va_pid; 
label values va_pid40 va_pid; 
label define va_pid  
	0           "Not in universe, not in"       
;
label values afdcpi01 afdcpi; 
label values afdcpi02 afdcpi; 
label values afdcpi03 afdcpi; 
label values afdcpi04 afdcpi; 
label values afdcpi05 afdcpi; 
label values afdcpi06 afdcpi; 
label values afdcpi07 afdcpi; 
label values afdcpi08 afdcpi; 
label values afdcpi09 afdcpi; 
label values afdcpi10 afdcpi; 
label values afdcpi11 afdcpi; 
label values afdcpi12 afdcpi; 
label values afdcpi13 afdcpi; 
label values afdcpi14 afdcpi; 
label values afdcpi15 afdcpi; 
label values afdcpi16 afdcpi; 
label values afdcpi17 afdcpi; 
label values afdcpi18 afdcpi; 
label values afdcpi19 afdcpi; 
label values afdcpi20 afdcpi; 
label values afdcpi21 afdcpi; 
label values afdcpi22 afdcpi; 
label values afdcpi23 afdcpi; 
label values afdcpi24 afdcpi; 
label values afdcpi25 afdcpi; 
label values afdcpi26 afdcpi; 
label values afdcpi27 afdcpi; 
label values afdcpi28 afdcpi; 
label values afdcpi29 afdcpi; 
label values afdcpi30 afdcpi; 
label values afdcpi31 afdcpi; 
label values afdcpi32 afdcpi; 
label values afdcpi33 afdcpi; 
label values afdcpi34 afdcpi; 
label values afdcpi35 afdcpi; 
label values afdcpi36 afdcpi; 
label values afdcpi37 afdcpi; 
label values afdcpi38 afdcpi; 
label values afdcpi39 afdcpi; 
label values afdcpi40 afdcpi; 
label define afdcpi  
	0           "Not in universe, not in"       
;
label values ga_pid01 ga_pid; 
label values ga_pid02 ga_pid; 
label values ga_pid03 ga_pid; 
label values ga_pid04 ga_pid; 
label values ga_pid05 ga_pid; 
label values ga_pid06 ga_pid; 
label values ga_pid07 ga_pid; 
label values ga_pid08 ga_pid; 
label values ga_pid09 ga_pid; 
label values ga_pid10 ga_pid; 
label values ga_pid11 ga_pid; 
label values ga_pid12 ga_pid; 
label values ga_pid13 ga_pid; 
label values ga_pid14 ga_pid; 
label values ga_pid15 ga_pid; 
label values ga_pid16 ga_pid; 
label values ga_pid17 ga_pid; 
label values ga_pid18 ga_pid; 
label values ga_pid19 ga_pid; 
label values ga_pid20 ga_pid; 
label values ga_pid21 ga_pid; 
label values ga_pid22 ga_pid; 
label values ga_pid23 ga_pid; 
label values ga_pid24 ga_pid; 
label values ga_pid25 ga_pid; 
label values ga_pid26 ga_pid; 
label values ga_pid27 ga_pid; 
label values ga_pid28 ga_pid; 
label values ga_pid29 ga_pid; 
label values ga_pid30 ga_pid; 
label values ga_pid31 ga_pid; 
label values ga_pid32 ga_pid; 
label values ga_pid33 ga_pid; 
label values ga_pid34 ga_pid; 
label values ga_pid35 ga_pid; 
label values ga_pid36 ga_pid; 
label values ga_pid37 ga_pid; 
label values ga_pid38 ga_pid; 
label values ga_pid39 ga_pid; 
label values ga_pid40 ga_pid; 
label define ga_pid  
	0           "Not in universe, not in"       
;
label values fostpi01 fostpi; 
label values fostpi02 fostpi; 
label values fostpi03 fostpi; 
label values fostpi04 fostpi; 
label values fostpi05 fostpi; 
label values fostpi06 fostpi; 
label values fostpi07 fostpi; 
label values fostpi08 fostpi; 
label values fostpi09 fostpi; 
label values fostpi10 fostpi; 
label values fostpi11 fostpi; 
label values fostpi12 fostpi; 
label values fostpi13 fostpi; 
label values fostpi14 fostpi; 
label values fostpi15 fostpi; 
label values fostpi16 fostpi; 
label values fostpi17 fostpi; 
label values fostpi18 fostpi; 
label values fostpi19 fostpi; 
label values fostpi20 fostpi; 
label values fostpi21 fostpi; 
label values fostpi22 fostpi; 
label values fostpi23 fostpi; 
label values fostpi24 fostpi; 
label values fostpi25 fostpi; 
label values fostpi26 fostpi; 
label values fostpi27 fostpi; 
label values fostpi28 fostpi; 
label values fostpi29 fostpi; 
label values fostpi30 fostpi; 
label values fostpi31 fostpi; 
label values fostpi32 fostpi; 
label values fostpi33 fostpi; 
label values fostpi34 fostpi; 
label values fostpi35 fostpi; 
label values fostpi36 fostpi; 
label values fostpi37 fostpi; 
label values fostpi38 fostpi; 
label values fostpi39 fostpi; 
label values fostpi40 fostpi; 
label define fostpi  
	0           "Not in universe, not in"       
;
label values oth_pi01 oth_pi; 
label values oth_pi02 oth_pi; 
label values oth_pi03 oth_pi; 
label values oth_pi04 oth_pi; 
label values oth_pi05 oth_pi; 
label values oth_pi06 oth_pi; 
label values oth_pi07 oth_pi; 
label values oth_pi08 oth_pi; 
label values oth_pi09 oth_pi; 
label values oth_pi10 oth_pi; 
label values oth_pi11 oth_pi; 
label values oth_pi12 oth_pi; 
label values oth_pi13 oth_pi; 
label values oth_pi14 oth_pi; 
label values oth_pi15 oth_pi; 
label values oth_pi16 oth_pi; 
label values oth_pi17 oth_pi; 
label values oth_pi18 oth_pi; 
label values oth_pi19 oth_pi; 
label values oth_pi20 oth_pi; 
label values oth_pi21 oth_pi; 
label values oth_pi22 oth_pi; 
label values oth_pi23 oth_pi; 
label values oth_pi24 oth_pi; 
label values oth_pi25 oth_pi; 
label values oth_pi26 oth_pi; 
label values oth_pi27 oth_pi; 
label values oth_pi28 oth_pi; 
label values oth_pi29 oth_pi; 
label values oth_pi30 oth_pi; 
label values oth_pi31 oth_pi; 
label values oth_pi32 oth_pi; 
label values oth_pi33 oth_pi; 
label values oth_pi34 oth_pi; 
label values oth_pi35 oth_pi; 
label values oth_pi36 oth_pi; 
label values oth_pi37 oth_pi; 
label values oth_pi38 oth_pi; 
label values oth_pi39 oth_pi; 
label values oth_pi40 oth_pi; 
label define oth_pi  
	0           "Not in universe, not in"       
;
label values wic_pi01 wic_pi; 
label values wic_pi02 wic_pi; 
label values wic_pi03 wic_pi; 
label values wic_pi04 wic_pi; 
label values wic_pi05 wic_pi; 
label values wic_pi06 wic_pi; 
label values wic_pi07 wic_pi; 
label values wic_pi08 wic_pi; 
label values wic_pi09 wic_pi; 
label values wic_pi10 wic_pi; 
label values wic_pi11 wic_pi; 
label values wic_pi12 wic_pi; 
label values wic_pi13 wic_pi; 
label values wic_pi14 wic_pi; 
label values wic_pi15 wic_pi; 
label values wic_pi16 wic_pi; 
label values wic_pi17 wic_pi; 
label values wic_pi18 wic_pi; 
label values wic_pi19 wic_pi; 
label values wic_pi20 wic_pi; 
label values wic_pi21 wic_pi; 
label values wic_pi22 wic_pi; 
label values wic_pi23 wic_pi; 
label values wic_pi24 wic_pi; 
label values wic_pi25 wic_pi; 
label values wic_pi26 wic_pi; 
label values wic_pi27 wic_pi; 
label values wic_pi28 wic_pi; 
label values wic_pi29 wic_pi; 
label values wic_pi30 wic_pi; 
label values wic_pi31 wic_pi; 
label values wic_pi32 wic_pi; 
label values wic_pi33 wic_pi; 
label values wic_pi34 wic_pi; 
label values wic_pi35 wic_pi; 
label values wic_pi36 wic_pi; 
label values wic_pi37 wic_pi; 
label values wic_pi38 wic_pi; 
label values wic_pi39 wic_pi; 
label values wic_pi40 wic_pi; 
label define wic_pi  
	0           "Not in universe, not in"       
;
label values fs_pid01 fs_pid; 
label values fs_pid02 fs_pid; 
label values fs_pid03 fs_pid; 
label values fs_pid04 fs_pid; 
label values fs_pid05 fs_pid; 
label values fs_pid06 fs_pid; 
label values fs_pid07 fs_pid; 
label values fs_pid08 fs_pid; 
label values fs_pid09 fs_pid; 
label values fs_pid10 fs_pid; 
label values fs_pid11 fs_pid; 
label values fs_pid12 fs_pid; 
label values fs_pid13 fs_pid; 
label values fs_pid14 fs_pid; 
label values fs_pid15 fs_pid; 
label values fs_pid16 fs_pid; 
label values fs_pid17 fs_pid; 
label values fs_pid18 fs_pid; 
label values fs_pid19 fs_pid; 
label values fs_pid20 fs_pid; 
label values fs_pid21 fs_pid; 
label values fs_pid22 fs_pid; 
label values fs_pid23 fs_pid; 
label values fs_pid24 fs_pid; 
label values fs_pid25 fs_pid; 
label values fs_pid26 fs_pid; 
label values fs_pid27 fs_pid; 
label values fs_pid28 fs_pid; 
label values fs_pid29 fs_pid; 
label values fs_pid30 fs_pid; 
label values fs_pid31 fs_pid; 
label values fs_pid32 fs_pid; 
label values fs_pid33 fs_pid; 
label values fs_pid34 fs_pid; 
label values fs_pid35 fs_pid; 
label values fs_pid36 fs_pid; 
label values fs_pid37 fs_pid; 
label values fs_pid38 fs_pid; 
label values fs_pid39 fs_pid; 
label values fs_pid40 fs_pid; 
label define fs_pid  
	0           "Not in universe, not in"       
;
label values ws_i1_01 ws_i1l; 
label values ws_i1_02 ws_i1l; 
label values ws_i1_03 ws_i1l; 
label values ws_i1_04 ws_i1l; 
label values ws_i1_05 ws_i1l; 
label values ws_i1_06 ws_i1l; 
label values ws_i1_07 ws_i1l; 
label values ws_i1_08 ws_i1l; 
label values ws_i1_09 ws_i1l; 
label values ws_i1_10 ws_i1l; 
label values ws_i1_11 ws_i1l; 
label values ws_i1_12 ws_i1l; 
label values ws_i1_13 ws_i1l; 
label values ws_i1_14 ws_i1l; 
label values ws_i1_15 ws_i1l; 
label values ws_i1_16 ws_i1l; 
label values ws_i1_17 ws_i1l; 
label values ws_i1_18 ws_i1l; 
label values ws_i1_19 ws_i1l; 
label values ws_i1_20 ws_i1l; 
label values ws_i1_21 ws_i1l; 
label values ws_i1_22 ws_i1l; 
label values ws_i1_23 ws_i1l; 
label values ws_i1_24 ws_i1l; 
label values ws_i1_25 ws_i1l; 
label values ws_i1_26 ws_i1l; 
label values ws_i1_27 ws_i1l; 
label values ws_i1_28 ws_i1l; 
label values ws_i1_29 ws_i1l; 
label values ws_i1_30 ws_i1l; 
label values ws_i1_31 ws_i1l; 
label values ws_i1_32 ws_i1l; 
label values ws_i1_33 ws_i1l; 
label values ws_i1_34 ws_i1l; 
label values ws_i1_35 ws_i1l; 
label values ws_i1_36 ws_i1l; 
label values ws_i1_37 ws_i1l; 
label values ws_i1_38 ws_i1l; 
label values ws_i1_39 ws_i1l; 
label values ws_i1_40 ws_i1l; 
label define ws_i1l  
	0           "No imputations, not"           
	1           "Monthly amount imputed"        
;
label values ws_i2_01 ws_i2l; 
label values ws_i2_02 ws_i2l; 
label values ws_i2_03 ws_i2l; 
label values ws_i2_04 ws_i2l; 
label values ws_i2_05 ws_i2l; 
label values ws_i2_06 ws_i2l; 
label values ws_i2_07 ws_i2l; 
label values ws_i2_08 ws_i2l; 
label values ws_i2_09 ws_i2l; 
label values ws_i2_10 ws_i2l; 
label values ws_i2_11 ws_i2l; 
label values ws_i2_12 ws_i2l; 
label values ws_i2_13 ws_i2l; 
label values ws_i2_14 ws_i2l; 
label values ws_i2_15 ws_i2l; 
label values ws_i2_16 ws_i2l; 
label values ws_i2_17 ws_i2l; 
label values ws_i2_18 ws_i2l; 
label values ws_i2_19 ws_i2l; 
label values ws_i2_20 ws_i2l; 
label values ws_i2_21 ws_i2l; 
label values ws_i2_22 ws_i2l; 
label values ws_i2_23 ws_i2l; 
label values ws_i2_24 ws_i2l; 
label values ws_i2_25 ws_i2l; 
label values ws_i2_26 ws_i2l; 
label values ws_i2_27 ws_i2l; 
label values ws_i2_28 ws_i2l; 
label values ws_i2_29 ws_i2l; 
label values ws_i2_30 ws_i2l; 
label values ws_i2_31 ws_i2l; 
label values ws_i2_32 ws_i2l; 
label values ws_i2_33 ws_i2l; 
label values ws_i2_34 ws_i2l; 
label values ws_i2_35 ws_i2l; 
label values ws_i2_36 ws_i2l; 
label values ws_i2_37 ws_i2l; 
label values ws_i2_38 ws_i2l; 
label values ws_i2_39 ws_i2l; 
label values ws_i2_40 ws_i2l; 
label define ws_i2l  
	0           "No imputations, not"           
	1           "Monthly amount imputed"        
;
label values se_i1_01 se_i1l; 
label values se_i1_02 se_i1l; 
label values se_i1_03 se_i1l; 
label values se_i1_04 se_i1l; 
label values se_i1_05 se_i1l; 
label values se_i1_06 se_i1l; 
label values se_i1_07 se_i1l; 
label values se_i1_08 se_i1l; 
label values se_i1_09 se_i1l; 
label values se_i1_10 se_i1l; 
label values se_i1_11 se_i1l; 
label values se_i1_12 se_i1l; 
label values se_i1_13 se_i1l; 
label values se_i1_14 se_i1l; 
label values se_i1_15 se_i1l; 
label values se_i1_16 se_i1l; 
label values se_i1_17 se_i1l; 
label values se_i1_18 se_i1l; 
label values se_i1_19 se_i1l; 
label values se_i1_20 se_i1l; 
label values se_i1_21 se_i1l; 
label values se_i1_22 se_i1l; 
label values se_i1_23 se_i1l; 
label values se_i1_24 se_i1l; 
label values se_i1_25 se_i1l; 
label values se_i1_26 se_i1l; 
label values se_i1_27 se_i1l; 
label values se_i1_28 se_i1l; 
label values se_i1_29 se_i1l; 
label values se_i1_30 se_i1l; 
label values se_i1_31 se_i1l; 
label values se_i1_32 se_i1l; 
label values se_i1_33 se_i1l; 
label values se_i1_34 se_i1l; 
label values se_i1_35 se_i1l; 
label values se_i1_36 se_i1l; 
label values se_i1_37 se_i1l; 
label values se_i1_38 se_i1l; 
label values se_i1_39 se_i1l; 
label values se_i1_40 se_i1l; 
label define se_i1l  
	0           "No imputations, not"           
	1           "Monthly amount imputed"        
;
label values se_i2_01 se_i2l; 
label values se_i2_02 se_i2l; 
label values se_i2_03 se_i2l; 
label values se_i2_04 se_i2l; 
label values se_i2_05 se_i2l; 
label values se_i2_06 se_i2l; 
label values se_i2_07 se_i2l; 
label values se_i2_08 se_i2l; 
label values se_i2_09 se_i2l; 
label values se_i2_10 se_i2l; 
label values se_i2_11 se_i2l; 
label values se_i2_12 se_i2l; 
label values se_i2_13 se_i2l; 
label values se_i2_14 se_i2l; 
label values se_i2_15 se_i2l; 
label values se_i2_16 se_i2l; 
label values se_i2_17 se_i2l; 
label values se_i2_18 se_i2l; 
label values se_i2_19 se_i2l; 
label values se_i2_20 se_i2l; 
label values se_i2_21 se_i2l; 
label values se_i2_22 se_i2l; 
label values se_i2_23 se_i2l; 
label values se_i2_24 se_i2l; 
label values se_i2_25 se_i2l; 
label values se_i2_26 se_i2l; 
label values se_i2_27 se_i2l; 
label values se_i2_28 se_i2l; 
label values se_i2_29 se_i2l; 
label values se_i2_30 se_i2l; 
label values se_i2_31 se_i2l; 
label values se_i2_32 se_i2l; 
label values se_i2_33 se_i2l; 
label values se_i2_34 se_i2l; 
label values se_i2_35 se_i2l; 
label values se_i2_36 se_i2l; 
label values se_i2_37 se_i2l; 
label values se_i2_38 se_i2l; 
label values se_i2_39 se_i2l; 
label values se_i2_40 se_i2l; 
label define se_i2l  
	0           "No imputations, not"           
	1           "Monthly amount imputed"        
;
label values g1_i1_01 g1_i1l; 
label values g1_i1_02 g1_i1l; 
label values g1_i1_03 g1_i1l; 
label values g1_i1_04 g1_i1l; 
label values g1_i1_05 g1_i1l; 
label values g1_i1_06 g1_i1l; 
label values g1_i1_07 g1_i1l; 
label values g1_i1_08 g1_i1l; 
label values g1_i1_09 g1_i1l; 
label values g1_i1_10 g1_i1l; 
label values g1_i1_11 g1_i1l; 
label values g1_i1_12 g1_i1l; 
label values g1_i1_13 g1_i1l; 
label values g1_i1_14 g1_i1l; 
label values g1_i1_15 g1_i1l; 
label values g1_i1_16 g1_i1l; 
label values g1_i1_17 g1_i1l; 
label values g1_i1_18 g1_i1l; 
label values g1_i1_19 g1_i1l; 
label values g1_i1_20 g1_i1l; 
label values g1_i1_21 g1_i1l; 
label values g1_i1_22 g1_i1l; 
label values g1_i1_23 g1_i1l; 
label values g1_i1_24 g1_i1l; 
label values g1_i1_25 g1_i1l; 
label values g1_i1_26 g1_i1l; 
label values g1_i1_27 g1_i1l; 
label values g1_i1_28 g1_i1l; 
label values g1_i1_29 g1_i1l; 
label values g1_i1_30 g1_i1l; 
label values g1_i1_31 g1_i1l; 
label values g1_i1_32 g1_i1l; 
label values g1_i1_33 g1_i1l; 
label values g1_i1_34 g1_i1l; 
label values g1_i1_35 g1_i1l; 
label values g1_i1_36 g1_i1l; 
label values g1_i1_37 g1_i1l; 
label values g1_i1_38 g1_i1l; 
label values g1_i1_39 g1_i1l; 
label values g1_i1_40 g1_i1l; 
label define g1_i1l  
	0           "No imputations, not"           
	1           "Monthly amount imputed"        
;
label values g1_i2_01 g1_i2l; 
label values g1_i2_02 g1_i2l; 
label values g1_i2_03 g1_i2l; 
label values g1_i2_04 g1_i2l; 
label values g1_i2_05 g1_i2l; 
label values g1_i2_06 g1_i2l; 
label values g1_i2_07 g1_i2l; 
label values g1_i2_08 g1_i2l; 
label values g1_i2_09 g1_i2l; 
label values g1_i2_10 g1_i2l; 
label values g1_i2_11 g1_i2l; 
label values g1_i2_12 g1_i2l; 
label values g1_i2_13 g1_i2l; 
label values g1_i2_14 g1_i2l; 
label values g1_i2_15 g1_i2l; 
label values g1_i2_16 g1_i2l; 
label values g1_i2_17 g1_i2l; 
label values g1_i2_18 g1_i2l; 
label values g1_i2_19 g1_i2l; 
label values g1_i2_20 g1_i2l; 
label values g1_i2_21 g1_i2l; 
label values g1_i2_22 g1_i2l; 
label values g1_i2_23 g1_i2l; 
label values g1_i2_24 g1_i2l; 
label values g1_i2_25 g1_i2l; 
label values g1_i2_26 g1_i2l; 
label values g1_i2_27 g1_i2l; 
label values g1_i2_28 g1_i2l; 
label values g1_i2_29 g1_i2l; 
label values g1_i2_30 g1_i2l; 
label values g1_i2_31 g1_i2l; 
label values g1_i2_32 g1_i2l; 
label values g1_i2_33 g1_i2l; 
label values g1_i2_34 g1_i2l; 
label values g1_i2_35 g1_i2l; 
label values g1_i2_36 g1_i2l; 
label values g1_i2_37 g1_i2l; 
label values g1_i2_38 g1_i2l; 
label values g1_i2_39 g1_i2l; 
label values g1_i2_40 g1_i2l; 
label define g1_i2l  
	0           "No imputations, not"           
	1           "Monthly amount imputed"        
;
label values g1_i3_01 g1_i3l; 
label values g1_i3_02 g1_i3l; 
label values g1_i3_03 g1_i3l; 
label values g1_i3_04 g1_i3l; 
label values g1_i3_05 g1_i3l; 
label values g1_i3_06 g1_i3l; 
label values g1_i3_07 g1_i3l; 
label values g1_i3_08 g1_i3l; 
label values g1_i3_09 g1_i3l; 
label values g1_i3_10 g1_i3l; 
label values g1_i3_11 g1_i3l; 
label values g1_i3_12 g1_i3l; 
label values g1_i3_13 g1_i3l; 
label values g1_i3_14 g1_i3l; 
label values g1_i3_15 g1_i3l; 
label values g1_i3_16 g1_i3l; 
label values g1_i3_17 g1_i3l; 
label values g1_i3_18 g1_i3l; 
label values g1_i3_19 g1_i3l; 
label values g1_i3_20 g1_i3l; 
label values g1_i3_21 g1_i3l; 
label values g1_i3_22 g1_i3l; 
label values g1_i3_23 g1_i3l; 
label values g1_i3_24 g1_i3l; 
label values g1_i3_25 g1_i3l; 
label values g1_i3_26 g1_i3l; 
label values g1_i3_27 g1_i3l; 
label values g1_i3_28 g1_i3l; 
label values g1_i3_29 g1_i3l; 
label values g1_i3_30 g1_i3l; 
label values g1_i3_31 g1_i3l; 
label values g1_i3_32 g1_i3l; 
label values g1_i3_33 g1_i3l; 
label values g1_i3_34 g1_i3l; 
label values g1_i3_35 g1_i3l; 
label values g1_i3_36 g1_i3l; 
label values g1_i3_37 g1_i3l; 
label values g1_i3_38 g1_i3l; 
label values g1_i3_39 g1_i3l; 
label values g1_i3_40 g1_i3l; 
label define g1_i3l  
	0           "No imputations, not"           
	1           "Monthly amount imputed"        
;
label values g1_i4_01 g1_i4l; 
label values g1_i4_02 g1_i4l; 
label values g1_i4_03 g1_i4l; 
label values g1_i4_04 g1_i4l; 
label values g1_i4_05 g1_i4l; 
label values g1_i4_06 g1_i4l; 
label values g1_i4_07 g1_i4l; 
label values g1_i4_08 g1_i4l; 
label values g1_i4_09 g1_i4l; 
label values g1_i4_10 g1_i4l; 
label values g1_i4_11 g1_i4l; 
label values g1_i4_12 g1_i4l; 
label values g1_i4_13 g1_i4l; 
label values g1_i4_14 g1_i4l; 
label values g1_i4_15 g1_i4l; 
label values g1_i4_16 g1_i4l; 
label values g1_i4_17 g1_i4l; 
label values g1_i4_18 g1_i4l; 
label values g1_i4_19 g1_i4l; 
label values g1_i4_20 g1_i4l; 
label values g1_i4_21 g1_i4l; 
label values g1_i4_22 g1_i4l; 
label values g1_i4_23 g1_i4l; 
label values g1_i4_24 g1_i4l; 
label values g1_i4_25 g1_i4l; 
label values g1_i4_26 g1_i4l; 
label values g1_i4_27 g1_i4l; 
label values g1_i4_28 g1_i4l; 
label values g1_i4_29 g1_i4l; 
label values g1_i4_30 g1_i4l; 
label values g1_i4_31 g1_i4l; 
label values g1_i4_32 g1_i4l; 
label values g1_i4_33 g1_i4l; 
label values g1_i4_34 g1_i4l; 
label values g1_i4_35 g1_i4l; 
label values g1_i4_36 g1_i4l; 
label values g1_i4_37 g1_i4l; 
label values g1_i4_38 g1_i4l; 
label values g1_i4_39 g1_i4l; 
label values g1_i4_40 g1_i4l; 
label define g1_i4l  
	0           "No imputations, not"           
	1           "Monthly amount imputed"        
;
label values g1_i5_01 g1_i5l; 
label values g1_i5_02 g1_i5l; 
label values g1_i5_03 g1_i5l; 
label values g1_i5_04 g1_i5l; 
label values g1_i5_05 g1_i5l; 
label values g1_i5_06 g1_i5l; 
label values g1_i5_07 g1_i5l; 
label values g1_i5_08 g1_i5l; 
label values g1_i5_09 g1_i5l; 
label values g1_i5_10 g1_i5l; 
label values g1_i5_11 g1_i5l; 
label values g1_i5_12 g1_i5l; 
label values g1_i5_13 g1_i5l; 
label values g1_i5_14 g1_i5l; 
label values g1_i5_15 g1_i5l; 
label values g1_i5_16 g1_i5l; 
label values g1_i5_17 g1_i5l; 
label values g1_i5_18 g1_i5l; 
label values g1_i5_19 g1_i5l; 
label values g1_i5_20 g1_i5l; 
label values g1_i5_21 g1_i5l; 
label values g1_i5_22 g1_i5l; 
label values g1_i5_23 g1_i5l; 
label values g1_i5_24 g1_i5l; 
label values g1_i5_25 g1_i5l; 
label values g1_i5_26 g1_i5l; 
label values g1_i5_27 g1_i5l; 
label values g1_i5_28 g1_i5l; 
label values g1_i5_29 g1_i5l; 
label values g1_i5_30 g1_i5l; 
label values g1_i5_31 g1_i5l; 
label values g1_i5_32 g1_i5l; 
label values g1_i5_33 g1_i5l; 
label values g1_i5_34 g1_i5l; 
label values g1_i5_35 g1_i5l; 
label values g1_i5_36 g1_i5l; 
label values g1_i5_37 g1_i5l; 
label values g1_i5_38 g1_i5l; 
label values g1_i5_39 g1_i5l; 
label values g1_i5_40 g1_i5l; 
label define g1_i5l  
	0           "No imputations, not"           
	1           "Monthly amount imputed"        
;
label values g1_i6_01 g1_i6l; 
label values g1_i6_02 g1_i6l; 
label values g1_i6_03 g1_i6l; 
label values g1_i6_04 g1_i6l; 
label values g1_i6_05 g1_i6l; 
label values g1_i6_06 g1_i6l; 
label values g1_i6_07 g1_i6l; 
label values g1_i6_08 g1_i6l; 
label values g1_i6_09 g1_i6l; 
label values g1_i6_10 g1_i6l; 
label values g1_i6_11 g1_i6l; 
label values g1_i6_12 g1_i6l; 
label values g1_i6_13 g1_i6l; 
label values g1_i6_14 g1_i6l; 
label values g1_i6_15 g1_i6l; 
label values g1_i6_16 g1_i6l; 
label values g1_i6_17 g1_i6l; 
label values g1_i6_18 g1_i6l; 
label values g1_i6_19 g1_i6l; 
label values g1_i6_20 g1_i6l; 
label values g1_i6_21 g1_i6l; 
label values g1_i6_22 g1_i6l; 
label values g1_i6_23 g1_i6l; 
label values g1_i6_24 g1_i6l; 
label values g1_i6_25 g1_i6l; 
label values g1_i6_26 g1_i6l; 
label values g1_i6_27 g1_i6l; 
label values g1_i6_28 g1_i6l; 
label values g1_i6_29 g1_i6l; 
label values g1_i6_30 g1_i6l; 
label values g1_i6_31 g1_i6l; 
label values g1_i6_32 g1_i6l; 
label values g1_i6_33 g1_i6l; 
label values g1_i6_34 g1_i6l; 
label values g1_i6_35 g1_i6l; 
label values g1_i6_36 g1_i6l; 
label values g1_i6_37 g1_i6l; 
label values g1_i6_38 g1_i6l; 
label values g1_i6_39 g1_i6l; 
label values g1_i6_40 g1_i6l; 
label define g1_i6l  
	0           "No imputations, not"           
	1           "Monthly amount imputed"        
;
label values g1_i7_01 g1_i7l; 
label values g1_i7_02 g1_i7l; 
label values g1_i7_03 g1_i7l; 
label values g1_i7_04 g1_i7l; 
label values g1_i7_05 g1_i7l; 
label values g1_i7_06 g1_i7l; 
label values g1_i7_07 g1_i7l; 
label values g1_i7_08 g1_i7l; 
label values g1_i7_09 g1_i7l; 
label values g1_i7_10 g1_i7l; 
label values g1_i7_11 g1_i7l; 
label values g1_i7_12 g1_i7l; 
label values g1_i7_13 g1_i7l; 
label values g1_i7_14 g1_i7l; 
label values g1_i7_15 g1_i7l; 
label values g1_i7_16 g1_i7l; 
label values g1_i7_17 g1_i7l; 
label values g1_i7_18 g1_i7l; 
label values g1_i7_19 g1_i7l; 
label values g1_i7_20 g1_i7l; 
label values g1_i7_21 g1_i7l; 
label values g1_i7_22 g1_i7l; 
label values g1_i7_23 g1_i7l; 
label values g1_i7_24 g1_i7l; 
label values g1_i7_25 g1_i7l; 
label values g1_i7_26 g1_i7l; 
label values g1_i7_27 g1_i7l; 
label values g1_i7_28 g1_i7l; 
label values g1_i7_29 g1_i7l; 
label values g1_i7_30 g1_i7l; 
label values g1_i7_31 g1_i7l; 
label values g1_i7_32 g1_i7l; 
label values g1_i7_33 g1_i7l; 
label values g1_i7_34 g1_i7l; 
label values g1_i7_35 g1_i7l; 
label values g1_i7_36 g1_i7l; 
label values g1_i7_37 g1_i7l; 
label values g1_i7_38 g1_i7l; 
label values g1_i7_39 g1_i7l; 
label values g1_i7_40 g1_i7l; 
label define g1_i7l  
	0           "No imputations, not"           
	1           "Monthly amount imputed"        
;
label values g1_i8_01 g1_i8l; 
label values g1_i8_02 g1_i8l; 
label values g1_i8_03 g1_i8l; 
label values g1_i8_04 g1_i8l; 
label values g1_i8_05 g1_i8l; 
label values g1_i8_06 g1_i8l; 
label values g1_i8_07 g1_i8l; 
label values g1_i8_08 g1_i8l; 
label values g1_i8_09 g1_i8l; 
label values g1_i8_10 g1_i8l; 
label values g1_i8_11 g1_i8l; 
label values g1_i8_12 g1_i8l; 
label values g1_i8_13 g1_i8l; 
label values g1_i8_14 g1_i8l; 
label values g1_i8_15 g1_i8l; 
label values g1_i8_16 g1_i8l; 
label values g1_i8_17 g1_i8l; 
label values g1_i8_18 g1_i8l; 
label values g1_i8_19 g1_i8l; 
label values g1_i8_20 g1_i8l; 
label values g1_i8_21 g1_i8l; 
label values g1_i8_22 g1_i8l; 
label values g1_i8_23 g1_i8l; 
label values g1_i8_24 g1_i8l; 
label values g1_i8_25 g1_i8l; 
label values g1_i8_26 g1_i8l; 
label values g1_i8_27 g1_i8l; 
label values g1_i8_28 g1_i8l; 
label values g1_i8_29 g1_i8l; 
label values g1_i8_30 g1_i8l; 
label values g1_i8_31 g1_i8l; 
label values g1_i8_32 g1_i8l; 
label values g1_i8_33 g1_i8l; 
label values g1_i8_34 g1_i8l; 
label values g1_i8_35 g1_i8l; 
label values g1_i8_36 g1_i8l; 
label values g1_i8_37 g1_i8l; 
label values g1_i8_38 g1_i8l; 
label values g1_i8_39 g1_i8l; 
label values g1_i8_40 g1_i8l; 
label define g1_i8l  
	0           "No imputations, not"           
	1           "Monthly amount imputed"        
;
label values g1_i9_01 g1_i9l; 
label values g1_i9_02 g1_i9l; 
label values g1_i9_03 g1_i9l; 
label values g1_i9_04 g1_i9l; 
label values g1_i9_05 g1_i9l; 
label values g1_i9_06 g1_i9l; 
label values g1_i9_07 g1_i9l; 
label values g1_i9_08 g1_i9l; 
label values g1_i9_09 g1_i9l; 
label values g1_i9_10 g1_i9l; 
label values g1_i9_11 g1_i9l; 
label values g1_i9_12 g1_i9l; 
label values g1_i9_13 g1_i9l; 
label values g1_i9_14 g1_i9l; 
label values g1_i9_15 g1_i9l; 
label values g1_i9_16 g1_i9l; 
label values g1_i9_17 g1_i9l; 
label values g1_i9_18 g1_i9l; 
label values g1_i9_19 g1_i9l; 
label values g1_i9_20 g1_i9l; 
label values g1_i9_21 g1_i9l; 
label values g1_i9_22 g1_i9l; 
label values g1_i9_23 g1_i9l; 
label values g1_i9_24 g1_i9l; 
label values g1_i9_25 g1_i9l; 
label values g1_i9_26 g1_i9l; 
label values g1_i9_27 g1_i9l; 
label values g1_i9_28 g1_i9l; 
label values g1_i9_29 g1_i9l; 
label values g1_i9_30 g1_i9l; 
label values g1_i9_31 g1_i9l; 
label values g1_i9_32 g1_i9l; 
label values g1_i9_33 g1_i9l; 
label values g1_i9_34 g1_i9l; 
label values g1_i9_35 g1_i9l; 
label values g1_i9_36 g1_i9l; 
label values g1_i9_37 g1_i9l; 
label values g1_i9_38 g1_i9l; 
label values g1_i9_39 g1_i9l; 
label values g1_i9_40 g1_i9l; 
label define g1_i9l  
	0           "No imputations, not"           
	1           "Monthly amount imputed"        
;
label values g1_i1001 g1_i10l;
label values g1_i1002 g1_i10l;
label values g1_i1003 g1_i10l;
label values g1_i1004 g1_i10l;
label values g1_i1005 g1_i10l;
label values g1_i1006 g1_i10l;
label values g1_i1007 g1_i10l;
label values g1_i1008 g1_i10l;
label values g1_i1009 g1_i10l;
label values g1_i1010 g1_i10l;
label values g1_i1011 g1_i10l;
label values g1_i1012 g1_i10l;
label values g1_i1013 g1_i10l;
label values g1_i1014 g1_i10l;
label values g1_i1015 g1_i10l;
label values g1_i1016 g1_i10l;
label values g1_i1017 g1_i10l;
label values g1_i1018 g1_i10l;
label values g1_i1019 g1_i10l;
label values g1_i1020 g1_i10l;
label values g1_i1021 g1_i10l;
label values g1_i1022 g1_i10l;
label values g1_i1023 g1_i10l;
label values g1_i1024 g1_i10l;
label values g1_i1025 g1_i10l;
label values g1_i1026 g1_i10l;
label values g1_i1027 g1_i10l;
label values g1_i1028 g1_i10l;
label values g1_i1029 g1_i10l;
label values g1_i1030 g1_i10l;
label values g1_i1031 g1_i10l;
label values g1_i1032 g1_i10l;
label values g1_i1033 g1_i10l;
label values g1_i1034 g1_i10l;
label values g1_i1035 g1_i10l;
label values g1_i1036 g1_i10l;
label values g1_i1037 g1_i10l;
label values g1_i1038 g1_i10l;
label values g1_i1039 g1_i10l;
label values g1_i1040 g1_i10l;
label define g1_i10l 
	0           "No imputations, not"           
	1           "Monthly amount imputed"        
;
label values g2i14001 g2i140l;
label values g2i14002 g2i140l;
label values g2i14003 g2i140l;
label values g2i14004 g2i140l;
label values g2i14005 g2i140l;
label values g2i14006 g2i140l;
label values g2i14007 g2i140l;
label values g2i14008 g2i140l;
label values g2i14009 g2i140l;
label values g2i14010 g2i140l;
label values g2i14011 g2i140l;
label values g2i14012 g2i140l;
label values g2i14013 g2i140l;
label values g2i14014 g2i140l;
label values g2i14015 g2i140l;
label values g2i14016 g2i140l;
label values g2i14017 g2i140l;
label values g2i14018 g2i140l;
label values g2i14019 g2i140l;
label values g2i14020 g2i140l;
label values g2i14021 g2i140l;
label values g2i14022 g2i140l;
label values g2i14023 g2i140l;
label values g2i14024 g2i140l;
label values g2i14025 g2i140l;
label values g2i14026 g2i140l;
label values g2i14027 g2i140l;
label values g2i14028 g2i140l;
label values g2i14029 g2i140l;
label values g2i14030 g2i140l;
label values g2i14031 g2i140l;
label values g2i14032 g2i140l;
label values g2i14033 g2i140l;
label values g2i14034 g2i140l;
label values g2i14035 g2i140l;
label values g2i14036 g2i140l;
label values g2i14037 g2i140l;
label values g2i14038 g2i140l;
label values g2i14039 g2i140l;
label values g2i14040 g2i140l;
label define g2i140l 
	0           "No imputations, not"           
	1           "Monthly amount imputed"        
;


#delimit cr

sort pp_id pp_entry pp_pnum
egen id = concat(pp_id pp_entry pp_pnum)
sort id

save `dta_name' , replace
clear
