function [estimator,distance]=Value_gmm(inputa,inputb,inputc,inputd,inpute,inputf,inputg,inputh,inputj,inputk,inputl,inputm,data,est_opt)


if data==1
    load male_lowskill_period1.mat
elseif data==2
    load male_lowskill_period2.mat
elseif data==3
    load male_lowskill_period3.mat
elseif data==4
    load male_medskill_period1.mat
elseif data==5
    load male_medskill_period2.mat
elseif data==6
    load male_medskill_period3.mat
elseif data==7
    load male_highskill_period1.mat
elseif data==8
    load male_highskill_period2.mat
elseif data==9
    load male_highskill_period3.mat
end



options = optimset('LargeScale','on','MaxFunEvals',100000,'MaxIter',10000000,'Display','off','tolfun',1e-6,'tolX',1e-6);
c_initial=[inputa,inputb,inputc,inputd,inpute,inputf,inputg,inputh,inputj,inputk]';
lb=[0; 0; 0; -1; -1; -1; -1; -1; -1; -1];
up=[0.15; 0.20; 0.50; 1; 1; 1; 1; 1; 0; 0];

[estimator,distance]=fminsearchbnd(@(c)MOMENT_b(c,d),c_initial,lb, up, options);

s_z=estimator(1);
s_e=estimator(2);
s_a=estimator(3);
r_zp =estimator(4);
r_zm =estimator(5);
r_dp =estimator(6);
r_dp1=estimator(7);
r_dm =estimator(8);
theta_1 =estimator(9);
theta_2 =estimator(10);
theta_3 =0;
theta_4 =0;
estimator=[s_z,s_e,s_a,r_zp,r_zm,r_dp,r_dp1,r_dm,unique(d.rho_pipi1),unique(d.rho_pimu),unique(d.rho_pi1mu),theta_1,theta_2,theta_3,theta_4];


end
